# C 语言中的 Hello World 程序

> 原文： [https://beginnersbook.com/2017/09/c-hello-world-program/](https://beginnersbook.com/2017/09/c-hello-world-program/)

在这里，我们将编写两个 C 程序来在屏幕上显示`Hello World`。在第一个程序中，我们使用`printf`函数显示消息，在第二个程序中，我们调用用户定义的函数，该函数在屏幕上显示`Hello World`消息。

## 示例 1：显示`Hello World`

```c
#include <stdio.h>
int main()
{
   /* printf function displays the content that is
    * passed between the double quotes.
    */
   printf("Hello World");
   return 0;
}

```

输出：

```c
Hello World
```

1.  `#include <stdio.h>` - 该语句告诉编译器在程序中包含此`stdio.h`文件。这是一个标准输入输出文件，包含常见输入输出函数的定义，如`scanf()`和`printf()`。在上面的程序中，我们使用`printf()`函数。

2.  `int main()` - 这里`main()`是函数名，`int`是这个函数的返回类型。每个 C 程序都必须具有此函数，因为程序的执行以`main()`函数开始。此函数的返回值 0 表示程序的成功执行，而返回值 1 表示程序的不成功执行。这就是我们在这个主函数末尾有`return 0;`语句的原因。

3.  `printf("Hello World");` - 此函数在屏幕上显示双引号内的内容。

4.  `return 0;` - 如上所述，值 0 表示成功执行`main()`函数。

## 示例 2：带有函数的`Hello World`程序

让我们查看带有用户定义的函数的相同的程序。在这个程序中，我们创建了一个函数`hello()`，用于在屏幕上打印消息。我们在`main()`函数中调用此函数。要了解用户定义的函数，请阅读本指南：[C 中的用户定义函数](https://beginnersbook.com/2014/01/c-functions-examples/) 。

```c
#include 
void hello(){
	printf("Hello World");
}
int main()
{
   //Calling a function here
   hello();
   return 0;
}
```

查看这些相关的 [C 程序](https://beginnersbook.com/2015/02/simple-c-programs/)：

1.  [C 程序：打印用户输入的号码](https://beginnersbook.com/2017/09/c-program-to-print-an-integer-entered-by-a-user/)
2.  [C 程序：检查数字是偶数还是奇数](https://beginnersbook.com/2015/02/c-program-to-check-if-number-is-even-or-odd/)
3.  [C 程序：以升序排列数字](https://beginnersbook.com/2015/02/c-program-to-arrange-numbers-in-ascending-order/)