# C 程序：查找两个数字的平均值

> 原文： [https://beginnersbook.com/2017/09/c-program-to-find-the-average-of-two-numbers/](https://beginnersbook.com/2017/09/c-program-to-find-the-average-of-two-numbers/)

在这里，我们将编写两个 C 程序来查找两个数字的平均值（由用户输入）。

## 示例 1：编程以查找两个数字的平均值

```c
#include <stdio.h>
int main()
{
    int num1, num2;
    float avg;

    printf("Enter first number: ");
    scanf("%d",&num1);
    printf("Enter second number: ");
    scanf("%d",&num2);

    avg= (float)(num1+num2)/2;

    //%.2f is used for displaying output upto two decimal places
    printf("Average of %d and %d is: %.2f",num1,num2,avg);

    return 0;
}
```

输出：

```c
Enter first number: 12
Enter second number: 13
Average of 12 and 13 is: 12.50
```

## 示例 2：使用函数用于查找均值的程序

在这个程序中，我们创建了一个用户定义函数`average()`来计算平均值。用户输入的数字在函数调用期间传递给该函数。

```c
#include <stdio.h>
float average(int a, int b){
    return (float)(a+b)/2;
}
int main()
{
    int num1, num2;
    float avg;

    printf("Enter first number: ");
    scanf("%d",&num1);
    printf("Enter second number: ");
    scanf("%d",&num2);

    avg = average(num1, num2);

    //%.2f is used for displaying output upto two decimal places
    printf("Average of %d and %d is: %.2f",num1,num2,avg);

    return 0;
}
```

输出：

```c
Enter first number: 20
Enter second number: 13
Average of 20 and 13 is: 16.50
```

查看相关的 [C 程序](https://beginnersbook.com/2015/02/simple-c-programs/)：

1.  [C 程序：相加两个数字](https://beginnersbook.com/2017/09/c-program-to-add-two-numbers/)
2.  [C 程序：相乘两个浮点数](https://beginnersbook.com/2017/09/c-program-to-multiply-two-floating-point-numbers/)
3.  [C 程序：查找数组中的元素数](https://beginnersbook.com/2017/09/c-program-to-find-the-number-of-elements-in-an-array/)
4.  [C 程序：展示斐波那契序列](https://beginnersbook.com/2014/06/c-program-to-display-fibonacci-series/)