# C 程序：将十进制数转换为二进制数

> 原文： [https://beginnersbook.com/2017/09/c-program-to-convert-decimal-number-to-binary-number/](https://beginnersbook.com/2017/09/c-program-to-convert-decimal-number-to-binary-number/)

该程序将十进制数转换为等效的二进制数。

## 示例：将十进制转换为二进制的程序

在这个程序中，我们创建了一个用户定义函数`decimalToBinary()`，用于十进制到二进制转换。程序将十进制数（由用户输入）作为输入，并使用函数`decimalToBinary()`将其转换为二进制数。要理解这个程序，你应该有一下 [C 编程](https://beginnersbook.com/2014/01/c-tutorial-for-beginners-with-examples/)主题的基本概念：

1.  [C - 函数](https://beginnersbook.com/2014/01/c-functions-examples/)
2.  [C - `while`循环](https://beginnersbook.com/2014/01/c-while-loop/)

```c
#include <stdio.h>
#include <math.h>

long decimalToBinary(int decimalnum)
{
    long binarynum = 0;
    int rem, temp = 1;

    while (decimalnum!=0)
    {
        rem = decimalnum%2;
        decimalnum = decimalnum / 2;
        binarynum = binarynum + rem*temp;
        temp = temp * 10;
    }
    return binarynum;
}

int main()
{
    int decimalnum;
    printf("Enter a Decimal Number: ");
    scanf("%d", &decimalnum);
    printf("Equivalent Binary Number is: %ld", decimalToBinary(decimalnum));
    return 0;
}
```

输出：

```c
Enter a Decimal Number: 234
Equivalent Binary Number is: 11101010
```

看看这些相关的 C 程序：

1.  [C 程序：将十进制转换为八进制数](https://beginnersbook.com/2017/09/c-program-to-convert-decimal-to-octal-number/)
2.  [C 程序：将八进制转换为十进制数](https://beginnersbook.com/2017/09/c-program-to-convert-octal-number-to-decimal-number/)
3.  [C 程序：将八进制数转换为二进制数](https://beginnersbook.com/2017/09/c-program-to-convert-octal-number-to-binary-number/)
4.  [C 程序：将二进制转换为八进制数](https://beginnersbook.com/2017/09/c-program-to-convert-binary-to-octal-number-system/)
5.  [C 程序：将二进制数转换为十进制数](https://beginnersbook.com/2015/02/c-program-to-convert-binary-number-to-decimal-number/)