# C 程序结构 - 第一个 C 程序

> 原文： [https://beginnersbook.com/2014/01/c-program-structure/](https://beginnersbook.com/2014/01/c-program-structure/)

C 程序源代码可以在任何文本编辑器中编写；但是文件应该以`.c`扩展名保存。让我们编写第一个 C 程序。

## 第一个 C 程序

```c
/* Demo Program written by Chaitanya on BeginnersBook.com*/
#include<stdio.h>
int main()
{
      int num;
      printf("Enter your age: ");
      scanf("%d", &num);
      if (num <18)
      {
             printf("you are not eligible for voting");
      }
      else
      {
             printf("You can vote!!");
      }
      return 0;
}
```

输出：

```c
Enter your age:25
You can vote!!
```

### 让我们了解这个程序：

**注释：** 注释以`/*`开头，以`*/`结尾。注释不是强制性的，但如果您使用它们仍然是一个很好的做法，它提高了代码的可读性。程序可以包含任意数量的注释。

**包含部分：** 在编写程序时，我们使用了几个关键字、语句和函数，如 `printf()`，`scanf()`等。具有这些函数定义的文件需要包含在程序中。在上面的程序中我们使用了`stdio.h`。有几个库，`stdio.h`就是其中之一，用于从终端读取数据并在终端上显示数据。

**显示语句：** `printf`函数用于上述代码中的几个地方。无论你在双引号内给出什么，它都会在控制台上打印出来。您还可以对`printf`使用格式说明符（如`%d`，`%c`，`%p`）来显示变量和指针的值。

**从用户那里获取输入：** `scanf`函数用于从用户那里获取输入。当您运行此程序时，它等待用户输入（年龄），一旦用户输入年龄，它将根据用户输入的年龄来处理其余的语句。

**`main()`函数：** 它是所有 C 程序的起点。C 源代码的执行始于此函数。

## 有关 C 程序中`main()`函数的更多信息

`main()`函数应存在于所有 C 程序中，因为如果没有此函数，程序将无法启动。

**`main()`函数的返回类型：** `main()`函数的返回类型应始终为`int`。

**为什么它有一个返回类型，它有什么用途呢？** 

编译器应该知道您的程序是成功执行还是失败。为了知道这一点，它检查函数`main()`的返回值。如果返回值为 0 则表示程序成功，否则它假定存在问题，这就是我们在`main`函数末尾有一个`return 0`语句的原因。

**主函数的结构：** 函数名称后跟返回类型。函数名后应该有一个紧密的括号。如果有参数或参数，则它必须在此括号内。大括号内的代码块是函数体。我们将在单独的教程中讨论更多关于函数的内容： [C 编程中的函数](https://beginnersbook.com/2014/01/c-functions-examples/)。