# C `strchr()`函数

> 原文： [https://beginnersbook.com/2017/11/c-strchr-function/](https://beginnersbook.com/2017/11/c-strchr-function/)

函数`strchr()`在给定字符串中搜索指定字符的出现，并返回指向它的指针。

## C `strchr()`函数

```c
char *strchr(const char *str, int ch)
```

`str` - 在其中搜索字符的字符串。
`ch` - 在字符串`str`中搜索的字符。

## `strchr()`的返回值

它返回指向给定字符串中字符的第一次出现的指针，这意味着如果我们显示指针的字符串值，那么它应该显示从指定字符的第一次出现开始的输入字符串部分。

## 示例：C 中的`strchr()`函数

在这个例子中，我们有一个字符串，我们正在使用`strchr()`函数在字符串中搜索字符`'u'`。当我们显示函数返回指针的字符串值时，它显示从字符`'u'`开始的字符串，这是因为函数返回的指针指向字符串中的字符`'u'`。

```c
#include <stdio.h>
#include <string.h>
int main () {
   const char str[] = "This is just a String"; 
   const char ch = 'u'; 
   char *p;
   p = strchr(str, ch);
   printf("String starting from %c is: %s", ch, p);
   return 0;
}
```

输出：

```c
String starting from u is: ust a String
```

#### 相关文章：

1.  [C - `strcat()`函数](https://beginnersbook.com/2017/11/c-strcat-function-with-example/)
2.  [C - `strncat()`函数](https://beginnersbook.com/2017/11/c-strncat-function/)