# Hello World - 第一个 C++ 程序

> 原文： [https://beginnersbook.com/2017/08/first-cpp-program/](https://beginnersbook.com/2017/08/first-cpp-program/)

在本指南中，我们将编写和理解** C++** 编程中的第一个程序。我们正在编写一个打印`Hello World!`消息的简单 C++ 程序。让我们先看看程序，然后我们将详细讨论它的每一部分。

## C++中的`Hello World`程序

```cpp
/*
* Multiple line
* comment
*/
#include<iostream>

//Single line comment
using namespace std;

//This is where the execution of program begins
int main()
{
   // displays Hello World! on screen
   cout<<"Hello World!";

   return 0;
}
```

**输出：**

```cpp
Hello World!
```

我们来讨论上述程序的每一部分。

**1\. 注释** - 您可以在上述程序中看到两种类型的注释

```cpp
// This is a single line comment
/* This is a multiple line comment
* suitable for long comments
*/
```

顾名思义，注释只是程序员在代码开发过程中编写的文本。注释不会以任何方式影响您的程序逻辑，您可以在注释中编写任何您想要的内容，但它应该与代码相关并具有一些含义，以便当其他人查看您的代码时，该人只需阅读您的注释就应该了解您的代码。

例如：

```cpp
/* This function adds two integer numbers 
 * and returns the result as an integer value
 */
int sum(int num1, int num2) {
   return num1+num2;
}
```

现在，如果有人阅读我的注释，他或她只需阅读我的注释即可理解我在那里所做的事情。这提高了代码的可读性，当您与团队成员一起开展项目时，这将成为必不可少的方面。

**2\. `#include <iostream>`** - 此语句告诉编译器包含`iostream`文件。该文件包含我们可以在程序中使用的预定义输入/输出函数。

**3\. `using namespace std;`** - 名称空间就像一个区域，我们有函数，变量等，它们的范围仅限于该特定区域。这里`std`是一个命名空间名称，它告诉编译器查看所有变量，函数等的特定区域。我不会在这里详细讨论它，因为它可能会让你感到困惑。我在一个单独的教程中通过示例介绍了这个主题。按照给定顺序阅读教程，你会没事的。

**4\. `int main()`** - 顾名思义这是我们程序的主函数，程序的执行从这个函数开始，这里的`int`是返回类型，它向编译器指示这个函数将返回一个整数值。这是我们在`main`函数末尾放置`return 0`语句的主要原因。

**5\. `cout<<"Hello World!";`** - `cout`对象属于`iostream`文件，此对象的目的是在屏幕上显示双引号之间的内容。这个对象也可以在屏幕上显示变量的值（不用担心，我们将在后面的教程中看到）。

**6\. `return 0;`** - 该语句从`main()`函数返回值 0，表示`main`函数执行成功。值 1 表示执行失败。