# RDBMS 概念

> 原文： [https://beginnersbook.com/2015/04/rdbms-concepts/](https://beginnersbook.com/2015/04/rdbms-concepts/)

**RDBMS** 代表关系数据库管理系统。关系模型可以表示为行和列的表。关系数据库有以下主要组成部分：

1. 表
2. 记录或元组
3. 字段或列名称或属性
4. 域
5. 实例
6. 模式
7. 键

## 1\. 表

表是以行和列表示的数据的集合。每个表在数据库中都有一个名称。例如，下表`STUDENT`将学生的信息存储在数据库中。

**表：学生**

| `Student_Id` | `Student_Name` | `Student_Addr` | `Student_Age` |
| --- | --- | --- | --- |
| 101 | Chaitanya | Dayal Bagh, Agra | 27 |
| 102 | Ajeet | Delhi | 26 |
| 103 | Rahul | Gurgaon | 24 |
| 104 | Shubham | Chennai | 25 |

## 2\. 记录或元组

表的每一行称为记录。它也被称为元组。例如，以下行是我们从上表中获取的记录。

| | | | |
| --- | --- | --- | --- |
| 102 | Ajeet | Delhi | 26 |

## 3\. 字段或列名称或属性

上表`STUDENT`有四个字段（或属性）：`Student_Id`，`Student_Name`，`Student_Addr`&amp; `Student_Age`。

## 4\. 域

域是表中属性的一组允许值。例如，月份的域可以接受 1 月，2 月，... 12 月作为值，日期的域可以接受所有可能的有效日期等。我们在创建表时指定属性的域。

属性不能接受域外的值。例如，在上表`STUDENT`中，`Student_Id`字段具有整数域，因此该字段不能接受非整数的值，例如，`Student_Id`不能具有`"First"`，`10.11`等值。

## 5\. 实例和模式

我已在单独的指南中介绍了实例和模式，您可以参考[指南](https://beginnersbook.com/2015/04/instance-and-schema-in-dbms/)。

## 6\. 键

这是我们的下一个主题，我在单独的教程中详细介绍了键。您可以在此处参考：[键](https://beginnersbook.com/2015/04/keys-in-dbms/)。