# DBMS 简介

> 原文： [https://beginnersbook.com/2015/04/dbms-introduction/](https://beginnersbook.com/2015/04/dbms-introduction/)

DBMS 代表 **D** ata **b** ase **M** aagement **S** ystem。我们可以像 DBMS = Database + Management System 那样打破它。数据库是数据的集合，管理系统是一组用于存储和检索这些数据的程序。基于此，我们**可以像这样定义 DBMS** ：DBMS 是一个相互关联的数据和一组程序集合，用于以简单有效的方式存储和访问这些数据。

**DBMS 的需求是什么？**

数据库系统基本上是为大量数据而开发的。在处理大量数据时，有两件事需要优化：**存储数据**和**检索数据**。

**存储：**根据数据库系统的原理，数据以这样的方式存储，即在存储之前删除冗余数据（重复数据），它可以占用更少的空间。让我们以一个外行的例子来理解这一点：

在银行系统中，假设一个客户有两个账户，一个是储蓄账户，另一个是工资账户。假设银行在一个地方保存储蓄帐户数据（这些地方称为表，我们将在稍后学习），在另一个地方保存工资帐户数据，在这种情况下，如果客户信息，如客户名称，地址等，都存储在两个地方，这只是存储（数据的冗余/重复）的浪费，以更好的方式组织数据，信息应该存储在一个地方，并且两个帐户都应该以某种方式链接到该信息。我们在 DBMS 中这样实现。

**快速检索数据**：除了以优化和系统的方式存储数据外，在需要时快速检索数据也很重要。数据库系统确保尽快检索数据。

## 数据库系统的目的

数据库系统的主要目的是管理数据。考虑一所保存学生，教师，课程，书籍等数据的大学。为了管理这些数据，我们需要将这些数据存储在一个地方，其中我们可以添加新数据，删除未使用数据，更新过期数据，检索数据，执行这些操作。在数据方面，我们需要一个数据库管理系统，它允许我们以这样的方式存储数据，以便可以有效地对数据执行所有这些操作。

数据库系统比传统文件处理系统要好得多，我们我们在单独文章中讨论它：[DBMS 与文件系统](https://beginnersbook.com/2015/04/dbms-vs-file-system/)。