# DBMS 中的非平凡函数依赖

> 原文： [https://beginnersbook.com/2015/04/non-trivial-functional-dependency-in-dbms/](https://beginnersbook.com/2015/04/non-trivial-functional-dependency-in-dbms/)

如果函数依赖`X -> Y`在`Y`不是`X`的子集的情况下成立，那么这种依赖性称为非平凡的函数依赖性。

**例如**：

具有三个属性的员工表：`emp_id`，`emp_name`，`emp_address`。

以下函数依赖是非平凡的：

+   `emp_id -> emp_name`（`emp_name`不是`emp_id`的子集）
+   `emp_id -> emp_address`（`emp_address`不是`emp_id`的子集）

另一方面，以下依赖性是平凡的：

+   `{emp_id, emp_name} -> emp_name`（`emp_name`是`{emp_id, emp_name}`的一个子集）

参考：[平凡的函数依赖](https://beginnersbook.com/2015/04/trivial-functional-dependency-in-dbms/)。

**完全非平凡 FD**：

如果 FD `X -> Y`在`X`交`Y`为空的情况下为真，则该依赖性被认为是完全非平凡的函数依赖。
