# DBMS 中的多值依赖

> 原文： [https://beginnersbook.com/2015/04/multivalued-dependency-in-dbms/](https://beginnersbook.com/2015/04/multivalued-dependency-in-dbms/)

当表中存在多个**独立**多值属性时，会发生多值依赖。

**例如**：考虑一家自行车制造公司，每年在每个车型中生产两种颜色（黑色和白色）。

| `bike_model` | `manuf_year` | `color` |
| --- | --- | --- |
| M1001 | 2007 | Black |
| M1001 | 2007 | Red |
| M2012 | 2008 | Black |
| M2012 | 2008 | Red |
| M2222 | 2009 | Black |
| M2222 | 2009 | Red |

这里的列`manuf_year`和颜色彼此独立并依赖于`bike_model`。在这种情况下，这两列可以说是多值的，取决于`bike_model`。这些依赖关系可以表示如下：

```
bike_model ->> manuf_year

bike_model ->> color
```