# DBMS 优于文件系统的优点

> 原文： [https://beginnersbook.com/2015/04/dbms-vs-file-system/](https://beginnersbook.com/2015/04/dbms-vs-file-system/)

在本指南中，我们将讨论什么是文件处理系统以及数据库管理系统如何比文件处理系统更好。

## 文件系统的缺点

*   **数据冗余：**数据冗余是指数据的重复，假设我们正在管理学生注册两门课程的大学数据，在这种情况下相同的学生详细信息将被存储两次，将需要更多的存储空间。数据冗余通常会导致更高的存储成本和更短的访问时间。
*   **数据不一致：**数据冗余导致数据不一致，让我们采取与上面相同的例子，一个学生注册两个课程，我们有两个学生地址，现在让我们说学生要求改变他的地址，如果地址在一个地方而不是在所有记录上更改，那么这可能导致数据不一致。
*   **数据隔离：**由于数据分散在各种文件中，文件可能采用不同的格式，因此编写新的应用以检索适当的数据很困难。
*   **对应用的依赖：**更改文件会导致应用发生变化。
*   **原子性问题：** 事务的原子性代表“要么全部要么没有”，它的意思是要么事务的所有操作都执行，要么都没有。

    例如：让我们说 Steve 将 100 美元转移到 Negan 的账户。此事务包括多项操作，例如 Steve 的账户转出 100 美元，Negan 的账户转入 100。像任何其他设备一样，计算机系统可能会失败，让我们说它在第一次操作后失败然后在那种情况下，Steve 的帐户将被扣除 100 美元，但是这笔金额没有记入 Negan 的帐户，在这种情况下，操作的回滚应该发生用于保持事务的原子性。**难以在文件处理系统**中实现原子性。

*   **数据安全：**应保护数据免受未经授权的访问，例如，大学的学生不应该看到教师的工资单细节，这种安全限制很难在文件处理系统中应用。

## DBMS 优于文件系统的优点

数据库管理系统对比文件系统有几个优点。其中一些如下：

*   **无冗余数据**：数据[标准化](https://beginnersbook.com/2015/05/normalization-in-dbms/)删除了冗余。没有数据重复可以节省存储空间并缩短访问时间。
*   **数据一致性和完整性**：正如我们之前讨论的那样，数据不一致的根本原因是数据冗余，因为数据范式处理数据冗余，数据不一致也作为其中的一部分被处理。
*   **数据安全**：在数据库系统中应用访问约束更容易，只有授权用户才能访问数据。每个用户都有不同的访问权限，因此可以保护数据免受身份盗窃，数据泄漏和数据滥用等问题的影响。
*   **隐私**：有限访问意味着数据隐私。
*   **轻松访问数据** - 数据库系统以这样的方式管理数据，以便在快速响应时间内轻松访问数据。
*   **轻松恢复**：由于数据库系统保留了数据备份，因此在发生故障时更容易完全恢复数据。
*   **灵活**：数据库系统比文件处理系统更灵活。

**DBMS** 的缺点：

*   与文件系统相比，DBMS 实现成本较高
*   复杂性：数据库系统很难理解
*   性能：数据库系统是通用的，使它们适用于各种应用。但是，此功能会影响某些应用的性能