# Java - 将`Vector`转换为`ArrayList`

> 原文： [https://beginnersbook.com/2014/07/java-convert-vector-to-arraylist-example/](https://beginnersbook.com/2014/07/java-convert-vector-to-arraylist-example/)

在上一个教程中，我们分享了如何[将`Vector`转换为数组](https://beginnersbook.com/2014/07/how-to-convert-vector-to-string-array-in-java/)。在这里，我们将通过示例看到`Vector`到`ArrayList`转换。

#### 示例

在下面的代码片段中，我们有一个字符串的[`Vector`](https://beginnersbook.com/2013/12/vector-in-java/)，我们将其转换为字符串的[`ArrayList`](https://beginnersbook.com/2013/12/java-arraylist/) 。我们在下面的示例中遵循的步骤是：

1）创建一个`Vector`并填充它（我们假设`Vector`将具有`String`元素）。

2）通过使用`Vector`对象声明`ArrayList`对象，将`Vector`转换为`ArrayList`。
`ArrayList list = new ArrayList(vector);`

**代码：**

```java
import java.util.Vector;
import java.util.ArrayList;
public class VectorToArrayList {

  public static void main(String[] args) {

     // Creating a Vector of String elements
     Vector<String> vector = new Vector<String>();

     // Populate Vector
     vector.add("Rahul");
     vector.add("Steve");
     vector.add("Jude");
     vector.add("Locke");
     vector.add("Mike");
     vector.add("Robert");

     //Displaying Vector elements
     for (String str : vector){
        System.out.println(str);
     }

     //Converting Vector to ArrayList
     ArrayList<String> arraylist = new ArrayList<String>(vector);

     //Displaying ArrayList Elements
     System.out.println("\nArrayList Elements :");
     for (String s : arraylist){
        System.out.println(s);
     }
  }
}
```

**输出：**

```java
Rahul
Steve
Jude
Locke
Mike
Robert

ArrayList Elements :
Rahul
Steve
Jude
Locke
Mike
Robert

```