# 如何在 java 中将`Vector`转换为字符串数组

> 原文： [https://beginnersbook.com/2014/07/how-to-convert-vector-to-string-array-in-java/](https://beginnersbook.com/2014/07/how-to-convert-vector-to-string-array-in-java/)

几个星期前我们分享了[`ArrayList`到`String`数组的转换](https://beginnersbook.com/2013/12/how-to-convert-arraylist-to-string-array-in-java/)的教程。在本教程中，我们将了解如何在 Java 中将`Vector`转换为`String`数组。

#### 示例

让我们看一下下面的例子，我们将一个字符串`Vector`转换为一个数组。我们使用`Vector`类的[`toString()`方法](https://docs.oracle.com/javase/7/docs/api/java/util/Vector.html#toString())来做到这一点。
`public String toString()`：返回此`Vector`的字符串表示形式，包含每个元素的`String`表示形式。

```java
import java.util.Vector;
public class VectorToArray {

  public static void main(String[] args) {

     // Creating a Vector of String elements
     Vector<String> vector = new Vector<String>();

     // Add elements to Vector
     vector.add("Item1");
     vector.add("Item2");
     vector.add("Item3");
     vector.add("Item4");
     vector.add("Item5");
     vector.add("Item6");

    //Converting Vector to String Array
    String[] array = vector.toArray(new String[vector.size()]);

    //Displaying Array Elements
    System.out.println("String Array Elements :");
    for(int i=0; i < array.length ; i++){
       System.out.println(array[i]);
    }
  }
}
```

**输出：**

```java
String Array Elements :
Item1
Item2
Item3
Item4
Item5
Item6
```

我们在上面的代码中遵循的步骤是：

1）创建一个`String`类型的向量

2）使用`Vector`类的`add(Element E)`方法向其添加元素。

3）使用`toArray(new String[vector.size()])`将`Vector`转换为数组。