# 如何将`HashSet`转换为`TreeSet`

> 原文： [https://beginnersbook.com/2014/08/how-to-convert-a-hashset-to-a-treeset/](https://beginnersbook.com/2014/08/how-to-convert-a-hashset-to-a-treeset/)

#### 描述

将`HashSet`转换为`TreeSet`的程序

#### 程序

这是`HashSet`到`TreeSet`转换的完整代码。我们有一个`HashSet<String>`，我们通过将`HashSet`的所有元素复制到`TreeSet`来创建字符串`TreeSet`。

```java
import java.util.HashSet;
import java.util.TreeSet;
import java.util.Set;
class ConvertHashSettoTreeSet{ 
  public static void main(String[] args) {
     // Create a HashSet
     HashSet<String> hset = new HashSet<String>();

     //add elements to HashSet
     hset.add("Element1");
     hset.add("Element2");
     hset.add("Element3");
     hset.add("Element4");

     // Displaying HashSet elements
     System.out.println("HashSet contains: "+ hset);

     // Creating a TreeSet of HashSet elements
     Set<String> tset = new TreeSet<String>(hset);

     // Displaying TreeSet elements
     System.out.println("TreeSet contains: ");
     for(String temp : tset){
        System.out.println(temp);
     }
  }
}
```

**输出：**

```java
HashSet contains: [Element1, Element2, Element3, Element4]
TreeSet contains: 
Element1
Element2
Element3
Element4
```