# 将`HashSet`转换为`List` / `ArrayList`

> 原文： [https://beginnersbook.com/2014/08/convert-hashset-to-a-list-arraylist/](https://beginnersbook.com/2014/08/convert-hashset-to-a-list-arraylist/)

在本教程中，我们将学习如何将`HashSet`转换为`List`（`ArrayList`）。

#### 程序

这里我们有一个`String`元素的`HashSet`，我们通过将`HashSet`的所有元素复制到`ArrayList`来创建一个`String`的`ArrayList`。以下是完整的代码：

```java
import java.util.HashSet;
import java.util.List;
import java.util.ArrayList;
class ConvertHashSetToArrayList{ 
  public static void main(String[] args) {
     // Create a HashSet
     HashSet<String> hset = new HashSet<String>();

     //add elements to HashSet
     hset.add("Steve");
     hset.add("Matt");
     hset.add("Govinda");
     hset.add("John");
     hset.add("Tommy");

     // Displaying HashSet elements
     System.out.println("HashSet contains: "+ hset);

     // Creating a List of HashSet elements
     List<String> list = new ArrayList<String>(hset);

     // Displaying ArrayList elements
     System.out.println("ArrayList contains: "+ list);
  }
}
```

**输出：**

```java
HashSet contains: [Tommy, Matt, Steve, Govinda, John]
ArrayList contains: [Tommy, Matt, Steve, Govinda, John]

```