# Java - 从`HashMap`中删除所有映射

> 原文： [https://beginnersbook.com/2014/07/java-remove-all-mappings-from-hashmap-example/](https://beginnersbook.com/2014/07/java-remove-all-mappings-from-hashmap-example/)

#### 示例

在上一篇教程中，我们分享了如何[根据键](https://beginnersbook.com/2014/07/java-remove-mapping-from-hashmap-example/)从`HashMap`中删除特定的映射。在这个例子中，我们将看到如何从`HashMap`中删除所有映射。我们将使用[`HashMap`类](https://beginnersbook.com/2013/12/hashmap-in-java-with-example/)的 [`clear()`方法](https://docs.oracle.com/javase/7/docs/api/java/util/HashMap.html#clear())来做到这一点：

`public void clear()`：从此映射中删除所有映射。此调用返回后，映射将为空。

**完整代码：**

```java
import java.util.HashMap;

public class RemoveAllExample {

 public static void main(String[] args) {

    // Creating a HashMap of int keys and String values
    HashMap<Integer, String> hashmap = new HashMap<Integer, String>();

    // Adding Key and Value pairs to HashMap
    hashmap.put(11,"Value1");
    hashmap.put(22,"Value2");
    hashmap.put(33,"Value3");
    hashmap.put(44,"Value4");
    hashmap.put(55,"Value5");

    // Displaying HashMap Elements
    System.out.println("HashMap Elements: " + hashmap);

    // Removing all Mapping
    hashmap.clear();

    // Displaying HashMap Elements after remove
    System.out.println("After calling clear():");
    System.out.println("---------------------");
    System.out.println("HashMap Elements: " + hashmap); 
 }
}
```

**输出：**

```java
HashMap Elements: {33=Value3, 55=Value5, 22=Value2, 11=Value1, 44=Value4}
After calling clear():
---------------------
HashMap Elements: {}
```

正如您所看到的，在调用`clear()`方法之后，`HashMap`的所有映射都已被删除，之后`HashMap`变为空。