# Java - 检查`HashMap`中是否存在特定键

> 原文： [https://beginnersbook.com/2014/07/java-check-if-a-particular-key-exists-in-hashmap-example/](https://beginnersbook.com/2014/07/java-check-if-a-particular-key-exists-in-hashmap-example/)

在上一个教程中，我们学习了如何[检查`HashMap`](https://beginnersbook.com/2014/07/java-check-if-a-particular-value-exists-in-hashmap-example/) 中是否存在特定值。在这个例子中，我们将看看如何检查`HashMap`中是否存在特定的键。我们将使用`HashMap`类的[`containsKey()`](https://docs.oracle.com/javase/7/docs/api/java/util/HashMap.html#containsKey(java.lang.Object))方法来执行此检查。方法定义和描述如下：

`public boolean containsKey(Object key)`：如果此映射包含指定键的映射，则返回`true`。

#### 示例

我们在以下示例中遵循的步骤是：

1）创建一个`HashMap`并用键值对填充它。

2）通过调用`containsKey()`方法检查任何键存在。此方法返回一个布尔值。

```java
import java.util.HashMap;

public class CheckKeyExample {

 public static void main(String[] args) {

    // Creating a HashMap of int keys and String values
    HashMap<Integer, String> hashmap = new HashMap<Integer, String>();

    // Adding Key and Value pairs to HashMap
    hashmap.put(11,"Chaitanya");
    hashmap.put(22,"Pratap");
    hashmap.put(33,"Singh");
    hashmap.put(44,"Rajesh");
    hashmap.put(55,"Kate");

    // Checking Key Existence
    boolean flag = hashmap.containsKey(22);
    System.out.println("Key 22 exists in HashMap? : " + flag);

    boolean flag2 = hashmap.containsKey(55);
    System.out.println("Key 55 exists in HashMap? : " + flag2);

    boolean flag3 = hashmap.containsKey(99);
    System.out.println("Key 99 exists in HashMap? : " + flag3);
 }
}
```

**输出：**

```java
Key 22 exists in HashMap? : true
Key 55 exists in HashMap? : true
Key 99 exists in HashMap? : false
```