# Java - 检查`HashMap`中是否存在特定值

> 原文： [https://beginnersbook.com/2014/07/java-check-if-a-particular-value-exists-in-hashmap-example/](https://beginnersbook.com/2014/07/java-check-if-a-particular-value-exists-in-hashmap-example/)

在这个例子中，我们检查`HashMap`中是否存在特定值。我们将使用[`HashMap`类](https://beginnersbook.com/2013/12/hashmap-in-java-with-example/)的[`containsValue()`](https://docs.oracle.com/javase/7/docs/api/java/util/HashMap.html#containsValue(java.lang.Object))方法来执行此检查：

`public boolean containsValue(Object value)`：如果此映射将一个或多个键映射到指定值，则返回`true`。

**完整代码：**

这里我们有一个整数键和字符串值的`HashMap`，我们正在检查特定的`String`是否映射到`HashMap`的任何键。

```java
import java.util.HashMap;

public class CheckValueExample {

 public static void main(String[] args) {

    // Creating a HashMap of int keys and String values
    HashMap<Integer, String> hashmap = new HashMap<Integer, String>();

    // Adding Key and Value pairs to HashMap
    hashmap.put(11,"Chaitanya");
    hashmap.put(22,"Pratap");
    hashmap.put(33,"Singh");
    hashmap.put(44,"Rajesh");
    hashmap.put(55,"Kate");

    // Checking Value Existence
    boolean flag = hashmap.containsValue("Singh");
    System.out.println("String Singh exists in HashMap? : " + flag);
 }
}
```

**输出：**

```java
String Singh exists in HashMap? : true
```