# Java `ArrayList addAll(Collection c)`方法

> 原文： [https://beginnersbook.com/2013/12/java-arraylist-addallcollection-c-method-example/](https://beginnersbook.com/2013/12/java-arraylist-addallcollection-c-method-example/)

在本教程中，我们将看到`java.util.ArrayList class`的`addAll()`方法的用法。此方法用于将列表的所有元素添加到另一个列表。

`public boolean addAll(Collection c)`

它将指定`Collection c`的所有元素添加到当前列表中。

### 例

在这个例子中，我们使用`addAll()`方法将`arraylist`的所有元素添加到另一个`arraylist`。

```java
package beginnersbook.com;
import java.util.ArrayList;
public class ExampleOfaddAll {
   public static void main(String[] args) { 
        // ArrayList1 of String type
        ArrayList<String> al = new ArrayList<String>();
        al.add("Hi");
        al.add("hello");
        al.add("String");
        al.add("Test");
        System.out.println("ArrayList1 before addAll:"+al);

        //ArrayList2 of String Type
        ArrayList<String> al2 = new ArrayList<String>();
        al2.add("Text1");
        al2.add("Text2");
        al2.add("Text3");
        al2.add("Text4");

        //Adding ArrayList2 into ArrayList1
        al.addAll(al2);
        System.out.println("ArrayList1 after addAll:"+al);
   }
}
```

输出：

```java
ArrayList1 before addAll:[Hi, hello, String, Test]
ArrayList1 after addAll:[Hi, hello, String, Test, Text1, Text2, Text3, Text4]
```

#### 参考：

[`ArrayList.addAll(Collection c)`](https://docs.oracle.com/javase/6/docs/api/java/util/(java.util.Collection))