# 如何在 Java 中将所有`List`元素复制并添加到`ArrayList`

> 原文： [https://beginnersbook.com/2013/12/how-to-copy-and-add-all-list-elements-to-arraylist-in-java/](https://beginnersbook.com/2013/12/how-to-copy-and-add-all-list-elements-to-arraylist-in-java/)

在本教程中，我们将了解如何将列表的所有元素复制并添加到`ArrayList`。为此，我们将使用`ArrayList`类的[`addAll method`](https://docs.oracle.com/javase/7/docs/api/java/util/ArrayList.html#addAll(java.util.Collection))。

`public boolean addAll(Collection c)`

它将指定的`Collection` c 的所有元素添加到调用列表的末尾。如果指定的`Collection`为空，则抛出[`NullPointerException`](https://docs.oracle.com/javase/7/docs/api/java/lang/NullPointerException.html)。

## 将`List`元素复制到`ArrayList`的完整示例

```java
package beginnersbook.com;
import java.util.ArrayList;
import java.util.List;

public class ListToArrayListExample {

   public static void main(String a[]){
      ArrayList<String> al = new ArrayList<String>();

      //Adding elements to the ArrayList
      al.add("Text 1");
      al.add("Text 2");
      al.add("Text 3");

      System.out.println("ArrayList Elements are: "+al);

      //Adding elements to a List
      List<String> list = new ArrayList<String>();
      list.add("Text 4");
      list.add("Text 5");
      list.add("Text 6");

      //Adding all lements of list to ArrayList using addAll
      al.addAll(list);
      System.out.println("Updated ArrayList Elements: "+al);
   }
}
```

输出：

```java
ArrayList Elements are: [Text 1, Text 2, Text 3]
Updated ArrayList Elements: [Text 1, Text 2, Text 3, Text 4, Text 5, Text 6]
```