# Java `ArrayList remove(Object obj)`方法

> 原文： [https://beginnersbook.com/2013/12/java-arraylist-removeobject-method-example/](https://beginnersbook.com/2013/12/java-arraylist-removeobject-method-example/)

方法`remove(Object obj)`从列表中删除指定的对象。它属于`java.util.ArrayList`类。

`public boolean remove(Object obj)`

**注：**

*   如果列表中不存在指定的元素，则返回`false`。
*   如果列表中存在重复元素，则会从列表中删除指定元素的第一个匹配项。

### 例

在这个例子中，我们有一个`ArrayList<String>`我们正从列表中删除一些字符串。

```java
package beginnersbook.com;
import java.util.ArrayList;
public class RemoveExample {
   public static void main(String args[]) {
       //String ArrayList
       ArrayList<String> al = new ArrayList<String>();
       al.add("AA");
       al.add("BB");
       al.add("CC");
       al.add("DD");
       al.add("EE");
       al.add("FF");
       System.out.println("ArrayList before remove:");
       for(String var: al){
           System.out.println(var);
       }
       //Removing element AA from the arraylist
       al.remove("AA");
       //Removing element FF from the arraylist
       al.remove("FF");
       //Removing element CC from the arraylist
       al.remove("CC");
       /*This element is not present in the list so
        * it should return false
        */
       boolean b=al.remove("GG");
       System.out.println("Element GG removed: "+b);
       System.out.println("ArrayList After remove:");
       for(String var2: al){
           System.out.println(var2);
       } 
   }
}
```

输出：

```java
ArrayList before remove:
AA
BB
CC
DD
EE
FF
Element GG removed: false
ArrayList After remove:
BB
DD
EE
```