# Java `ArrayList contains()`方法

> 原文： [https://beginnersbook.com/2013/12/java-arraylist-contains-method-example/](https://beginnersbook.com/2013/12/java-arraylist-contains-method-example/)

`ArrayList contains()`方法用于检查给定列表中指定的元素是否存在。

`public boolean contains(Object element)`

如果在列表中找到指定的元素，则返回`true`，否则返回`false`。

### 例

在这个例子中，我们有两个`ArrayList`（`ArrayList<String>`和`ArrayList<Integer>`），我们正在检查两个列表中是否存在少量元素。

```java
package beginnersbook.com;
import java.util.ArrayList;
public class ContainsExample {
   public static void main(String[] args) {

      ArrayList<String> al = new ArrayList<String>();
      al.add("pen");
      al.add("pencil");
      al.add("ink");
      al.add("notebook");

      System.out.println("ArrayList contains the string 'ink pen': "
                                           +al.contains("ink pen"));
      System.out.println("ArrayList contains the string 'pen': "
                                             +al.contains("pen"));
      System.out.println("ArrayList contains the string 'pencil': "
                                          +al.contains("pencil"));
      System.out.println("ArrayList contains the string 'book': "
                                           +al.contains("book"));

      ArrayList<Integer> al2 = new ArrayList<Integer>();
      al2.add(1);
      al2.add(99);
      al2.add(56);
      al2.add(13);
      al2.add(44);
      al2.add(6);

      System.out.println("'1' is present in arraylist: "+al2.contains(1));
      System.out.println("'55' is present in arraylist: "+al2.contains(55));
      System.out.println("'44' is there in arraylist: "+al2.contains(44));
      System.out.println("'7' is there in arraylist: "+al2.contains(7));
   }
}
```

输出：

```java
ArrayList contains the string 'ink pen': false
ArrayList contains the string 'pen': true
ArrayList contains the string 'pencil': true
ArrayList contains the string 'book': false
'1' is present in arraylist: true
'55' is present in arraylist: false
'44' is there in arraylist: true
'7' is there in arraylist: false
```

#### 参考：

[`ArrayList.contains(Object)`](https://docs.oracle.com/javase/6/docs/api/java/util/ArrayList.html#contains(java.lang.Object))