# 如何在 java 中连接/组合两个`ArrayList`

> 原文： [https://beginnersbook.com/2013/12/how-to-joincombine-two-arraylists-in-java/](https://beginnersbook.com/2013/12/how-to-joincombine-two-arraylists-in-java/)

在本教程中，我们将了解如何在 Java 中**连接（或组合）两个`ArrayList`。我们将使用[`addAll()`](https://docs.oracle.com/javase/7/docs/api/java/util/ArrayList.html#addAll(java.util.Collection))方法在最后一个`ArrayList`中连接两个 ArrayLists。**

#### 示例：

在这个例子中，我们将两个`ArrayList`合并在一个`ArrayList`中，然后显示最终`List`的元素。

```java
package beginnersbook.com;
import java.util.ArrayList;
public class Details
{
    public static void main(String [] args)
    {
        //First ArrayList
        ArrayList<String> arraylist1=new ArrayList<String>();
        arraylist1.add("AL1: E1");
        arraylist1.add("AL1: E2");
        arraylist1.add("AL1: E3");

        //Second ArrayList
        ArrayList<String> arraylist2=new ArrayList<String>();
        arraylist2.add("AL2: E1");
        arraylist2.add("AL2: E2");
        arraylist2.add("AL2: E3");

        //New ArrayList
        ArrayList<String> al= new ArrayList<String>();
        al.addAll(arraylist1);
        al.addAll(arraylist2);

        //Displaying elements of the joined ArrayList
        for(String temp: al){
            System.out.println(temp);
        }
    }
}
```

输出：

```java
AL1: E1
AL1: E2
AL1: E3
AL2: E1
AL2: E2
AL2: E3
```