# Java `ArrayList ensureCapacity()`方法

> 原文： [https://beginnersbook.com/2013/12/java-arraylist-ensurecapacity-method-example/](https://beginnersbook.com/2013/12/java-arraylist-ensurecapacity-method-example/)

`ArrayList`内部实现了可扩展的动态数组，这意味着它可以自动增加和减小其大小。如果我们尝试将一个元素添加到已经完整的`ArrayList`中，那么它会在内部自动重新调整大小以适应新元素，但有时这不是一个好方法。

考虑需要向已经完整的`ArrayList`添加大量元素的情况，在这种情况下，`ArrayList`必须调整大小数次，这将导致性能不佳。对于这种情况，`Java.util.ArrayList`类的`ensureCapacity()`方法非常有用，因为它将`ArrayList`的大小增加了指定的容量。

`public void ensureCapacity(int minCapacity)`

### 例

```java
package beginnersbook.com;
import java.util.ArrayList;
public class EnsureCapacityExample {
  public static void main(String args[]) {
      // ArrayList with Capacity 4
      ArrayList<String> al = new ArrayList<String>(4);
      //Added 4 elements
      al.add("Hi");
      al.add("Hello");
      al.add("Bye");
      al.add("GM");

      //Increase capacity to 5
      al.ensureCapacity(5);

      al.add("GE");
      // let us print all the elements available in list
      for (String temp: al) {
            System.out.println(temp);
      }
   }
}
```

输出：

```java
Hi
Hello
Bye
GM
GE
```