# 如何在 Java 中遍历`LinkedList`

> 原文： [https://beginnersbook.com/2013/12/how-to-loop-linkedlist-in-java/](https://beginnersbook.com/2013/12/how-to-loop-linkedlist-in-java/)

在上一个教程中，我们通过示例讨论了`LinkedList`及其方法。在这里，我们将看到如何循环/迭代`LinkedList`。可以通过四种方式迭代`LinkedList` -

1.  `for`循环
2.  高级`For`循环
3.  迭代器
4.  `while`循环

#### 示例：

在这个例子中，我们有一个`String`类型的`LinkedList`，我们使用所有四个提到的方法循环它。

```java
package beginnersbook.com;
import java.util.*;

public class LinkedListExample {

   public static void main(String args[]) {
      /*LinkedList declaration*/
      LinkedList<String> linkedlist=new LinkedList<String>();
      linkedlist.add("Apple");
      linkedlist.add("Orange");
      linkedlist.add("Mango");

      /*for loop*/
      System.out.println("**For loop**");
      for(int num=0; num<linkedlist.size(); num++)
      {
    	  System.out.println(linkedlist.get(num));
      }

      /*Advanced for loop*/
      System.out.println("**Advanced For loop**");
      for(String str: linkedlist)
      {
    	  System.out.println(str);
      }

      /*Using Iterator*/
      System.out.println("**Iterator**");
      Iterator i = linkedlist.iterator();
      while (i.hasNext()) {
	  System.out.println(i.next());
      }

      /* Using While Loop*/
      System.out.println("**While Loop**");
      int num = 0;
      while (linkedlist.size() > num) {
	  System.out.println(linkedlist.get(num));
	  num++;
      }

   }
}
```

输出：

```java
**For loop**

Apple
Orange
Mango
**Advanced For loop**

Apple
Orange
Mango
**Iterator**

Apple
Orange
Mango
**While Loop**

Apple
Orange
Mango
```