# Java - 在`LinkedList`的特定索引处添加元素

> 原文： [https://beginnersbook.com/2014/07/java-add-element-at-specific-index-in-linkedlist-example/](https://beginnersbook.com/2014/07/java-add-element-at-specific-index-in-linkedlist-example/)

在本教程中，我们将学习**如何在`LinkedList`** 中的特定索引处添加新元素。我们将使用[`LinkedList`](https://beginnersbook.com/2013/12/linkedlist-in-java-with-example/)类的`add(int index, Element E)`方法来执行此操作。

有关此方法的更多信息，请参见 [javadoc](https://docs.oracle.com/javase/7/docs/api/java/util/LinkedList.html#add(int,%20E)) ：
`public void add(int index, E element)`：将指定元素插入此列表中的指定位置。将当前位置的元素（如果有）和任何后续元素向右移动（将其添加到其索引中）。

#### 示例

在这个例子中，我们有一个`LinkedList<String>`，我们使用`add()`方法将一个元素添加到它的第五个位置（第四个索引）。完整的代码如下：

```java
import java.util.LinkedList;
import java.util.Iterator;
public class AddElement {

 public static void main(String[] args) {

    // Create a LinkedList
    LinkedList<String> linkedlist = new LinkedList<String>();

    // Add elements to LinkedList
    linkedlist.add("Delhi");
    linkedlist.add("Agra");
    linkedlist.add("Mysore");
    linkedlist.add("Chennai");
    linkedlist.add("Pune");

    // Adding new Element at 5th Position 
    linkedlist.add(4, "NEW ELEMENT");

    // Iterating the list in forward direction
    System.out.println("LinkedList elements After Addition:");
    Iterator it= linkedlist.iterator();
    while(it.hasNext()){
       System.out.println(it.next());
    }
 }
}
```

**输出：**

```java
LinkedList elements After Addition:
Delhi
Agra
Mysore
Chennai
NEW ELEMENT
Pune
```