# Java - 从`LinkedList`删除第一个和最后一个元素

> 原文： [https://beginnersbook.com/2014/07/java-remove-first-and-last-element-from-linkedlist-example/](https://beginnersbook.com/2014/07/java-remove-first-and-last-element-from-linkedlist-example/)

在本教程中，我们将学习如何从`LinkedList`中删除第一个和最后一个元素。在最后几篇文章中，我们分享了以下教程：

1）[从特定索引中删除元素](https://beginnersbook.com/2014/07/java-remove-element-from-a-specific-index-in-linkedlist-example/)

2）[从`LinkedList`中删除特定元素](https://beginnersbook.com/2014/07/java-remove-specific-elements-from-linkedlist-example/) 

#### 示例

我们使用[`removeFirst()`方法](https://docs.oracle.com/javase/7/docs/api/java/util/LinkedList.html#removeFirst())删除第一个和[`removeLast()`方法](https://docs.oracle.com/javase/7/docs/api/java/util/LinkedList.html#removeLast())以从`LinkedList`中删除最后一个元素。方法定义和描述如下：

1）`public E removeFirst()`：从此列表中删除并返回第一个元素。

2）`public E removeLast()`：删除并返回此列表中的最后一个元素。

**完整代码：**

```java
import java.util.LinkedList;
public class RemoveExample {

 public static void main(String[] args) {

    // Create a LinkedList
    LinkedList<String> linkedlist = new LinkedList<String>();

    // Add elements to LinkedList
    linkedlist.add("Item1");
    linkedlist.add("Item2");
    linkedlist.add("Item3");
    linkedlist.add("Item4");
    linkedlist.add("Item5");

    // Displaying Elements before remove
    System.out.println("LinkedList Elements are:");
    for(String str: linkedlist){
       System.out.println(str);
    }

    // Removing First element
    Object firstElement = linkedlist.removeFirst();
    System.out.println("\nElement removed: "+ firstElement);

    // Removing last Element
    Object lastElement = linkedlist.removeLast();
    System.out.println("Element removed: "+ lastElement);

    // LinkedList elements after remove
    System.out.println("\nList Elements after Remove:");
    for(String str2: linkedlist){
       System.out.println(str2);
    }
 }
}
```

输出：

```java
LinkedList Elements are:
Item1
Item2
Item3
Item4
Item5

Element removed: Item1
Element removed: Item5

List Elements after Remove:
Item2
Item3
Item4
```