# Java - 从`LinkedList`删除特定元素

> 原文： [https://beginnersbook.com/2014/07/java-remove-specific-elements-from-linkedlist-example/](https://beginnersbook.com/2014/07/java-remove-specific-elements-from-linkedlist-example/)

在上一篇文章中，我们在[上分享了如何从`LinkedList`](https://beginnersbook.com/2014/07/java-remove-element-from-a-specific-index-in-linkedlist-example/)中的特定索引中删除元素的教程。在这里，我们将学习如何从[`LinkedList`](https://beginnersbook.com/2013/12/linkedlist-in-java-with-example/)中删除特定元素。

#### 示例

我们将使用[`remove(Object o)`方法](https://docs.oracle.com/javase/7/docs/api/java/util/LinkedList.html#remove(java.lang.Object))来执行此删除。有关此方法的更多信息如下：

`public boolean remove(Object o)`：从该列表中删除指定元素的第一个匹配项（如果存在）。如果此列表不包含该元素，则不会更改。如果此列表包含指定的元素，则返回`true`（或等效地，如果此列表因调用而更改）。

```java
import java.util.LinkedList;
public class RemoveExample {

 public static void main(String[] args) {

    // Create a LinkedList
    LinkedList<String> linkedlist = new LinkedList<String>();

    // Add elements to LinkedList
    linkedlist.add("Item1");
    linkedlist.add("Item2");
    linkedlist.add("Item3");
    linkedlist.add("Item4");
    linkedlist.add("Item5");

    // Displaying Elements before remove
    System.out.println("Before Remove:");
    for(String str: linkedlist){
       System.out.println(str);
    }

    // Removing "Item4" from the list
    linkedlist.remove("Item4");

    // LinkedList elements after remove
    System.out.println("\nAfter Remove:");
    for(String str2: linkedlist){
       System.out.println(str2);
    }
 }
}
```

输出：

```java
Before Remove:
Item1
Item2
Item3
Item4
Item5

After Remove:
Item1
Item2
Item3
Item5
```