# Java - 从`LinkedList`删除所有元素

> 原文： [https://beginnersbook.com/2014/07/java-remove-all-elements-from-linkedlist-example/](https://beginnersbook.com/2014/07/java-remove-all-elements-from-linkedlist-example/)

在这个例子中，我们将看到如何从`LinkedList`中删除所有元素。我们将使用[`LinkedList`类](https://beginnersbook.com/2013/12/linkedlist-in-java-with-example/)的[`clear()`方法](https://docs.oracle.com/javase/7/docs/api/java/util/LinkedList.html#clear())来做到这一点。方法定义和描述如下：

`public void clear()`：删除此列表中的所有元素。此调用返回后，列表将为空。

#### 示例

在这个例子中，我们有一个`String`类型的`LinkedList`，它有 5 个元素。我们调用`clear()`方法并在调用`clear()`方法之前和之后显示`LinkedList`元素。

```java
import java.util.LinkedList;
public class RemoveAllExample {

 public static void main(String[] args) {

    // Create a LinkedList
    LinkedList<String> linkedlist = new LinkedList<String>();

    // Add elements to LinkedList
    linkedlist.add("Item1");
    linkedlist.add("Item2");
    linkedlist.add("Item3");
    linkedlist.add("Item4");
    linkedlist.add("Item5");

    // Displaying Elements before remove
    System.out.println("Before clear():");
    for(String str: linkedlist){
       System.out.println(str);
    }

    // Removing all the elements from LinkedList
    linkedlist.clear();

    // LinkedList elements after remove
    System.out.println("After clear():");
    for(String str2: linkedlist){
       System.out.println(str2);
    }
 }
}
```

**输出：**

```java
Before clear():
Item1
Item2
Item3
Item4
Item5
After clear():

```