# 将`List`的所有元素附加到`LinkedList`

> 原文： [https://beginnersbook.com/2014/08/append-all-the-elements-of-a-list-to-linkedlist-java/](https://beginnersbook.com/2014/08/append-all-the-elements-of-a-list-to-linkedlist-java/)

#### 描述

使用`LinkedList`类的`addAll()`方法将`List`的所有元素添加到`LinkedList`的程序。

#### 示例

```java
import java.util.ArrayList;
import java.util.LinkedList;
import java.util.List;
class LinkedListAddAll {

  public static void main(String[] args) {

     // create a LinkedList
     LinkedList<String> list = new LinkedList<String>();

     // Add elements to the LinkedList
     list.add("AA");
     list.add("BB");
     list.add("CC");
     list.add("DD");

     // Displaying linked list before add
     System.out.println("Before: LinkedList: " + list);

     // create a new list having few elements
     List<String> arrayList = new ArrayList<String>();
     arrayList.add("Item1");
     arrayList.add("Item2");
     arrayList.add("Item3");

     // Append the list elements to LinkedList
     list.addAll(arrayList);

     // Displaying the LinkedList after addAll
     System.out.println("After: LinkedList: " + list);
  }
}
```

输出：

```java
Before: LinkedList: [AA, BB, CC, DD]
After: LinkedList: [AA, BB, CC, DD, Item1, Item2, Item3]
```

#### `addAll()`方法：

`public boolean addAll(Collection&lt;? extends E&gt; c)`：将指定集合中的所有元素按指定集合的​​迭代器返回的顺序附加到此列表的末尾。 [来源：`addAll()方法 - Javadoc](https://docs.oracle.com/javase/7/docs/api/java/util/LinkedList.html#addAll(java.util.Collection))。