# Java - 从`LinkedList`获取第一个和最后一个元素

> 原文： [https://beginnersbook.com/2014/07/java-get-first-and-last-elements-from-linkedlist-example/](https://beginnersbook.com/2014/07/java-get-first-and-last-elements-from-linkedlist-example/)

在本教程中，我们将看到一个关于如何从`LinkedList`获取第一个和最后一个元素的示例。

#### 示例

这里我们有一个`String`类型的`LinkedList`，我们使用`LinkedList`类的[`getFirst()`](https://docs.oracle.com/javase/7/docs/api/java/util/LinkedList.html#getFirst())和[`getLast()`](https://docs.oracle.com/javase/7/docs/api/java/util/LinkedList.html#getLast())方法得到它的第一个和最后一个元素。方法定义和描述如下：

1）`public E getFirst()`：返回此列表中的第一个元素。

2）`public E getLast()`：返回此列表中的最后一个元素。

```java
import java.util.LinkedList;
public class GetFirstAndLast {

 public static void main(String[] args) {

    // Create a LinkedList
    LinkedList<String> linkedlist = new LinkedList<String>();

    // Add elements to LinkedList
    linkedlist.add("Item1");
    linkedlist.add("Item2");
    linkedlist.add("Item3");
    linkedlist.add("Item4");
    linkedlist.add("Item5");
    linkedlist.add("Item6");

    // Getting First element of the List
    Object firstElement = linkedlist.getFirst();
    System.out.println("First Element is: "+firstElement);

    // Getting Last element of the List
    Object lastElement = linkedlist.getLast();
    System.out.println("Last Element is: "+lastElement);
 }
}
```

**输出：**

```java
First Element is: Item1
Last Element is: Item6
```