# Java - 在`LinkedList`中搜索元素

> 原文： [https://beginnersbook.com/2014/07/java-search-elements-in-linkedlist-example/](https://beginnersbook.com/2014/07/java-search-elements-in-linkedlist-example/)

在本教程中，我们将学习如何搜索[`LinkedList`](https://beginnersbook.com/2013/12/linkedlist-in-java-with-example/) 中的元素。我们将使用以下两种方法来搜索元素。

`public int indexOf(Object o)`：返回此列表中第一次出现的指定元素的索引，如果此列表不包含该元素，则返回-1。

`public int lastIndexOf(Object o)`：返回此列表中指定元素最后一次出现的索引，如果此列表不包含该元素，则返回-1。

#### 示例

这里我们有一个`String`元素的`LinkedList`，我们正在使用`LinkedList`类的`indexOf()`和`lastIndexOf()`方法搜索一个字符串。

```java
import java.util.LinkedList;
public class SearchInLinkedList {

  public static void main(String[] args) {

     // Step1: Create a LinkedList
     LinkedList<String> linkedlist = new LinkedList<String>();

     // Step2: Add elements to LinkedList
     linkedlist.add("Tim");
     linkedlist.add("Rock");
     linkedlist.add("Hulk");
     linkedlist.add("Rock");
     linkedlist.add("James");
     linkedlist.add("Rock");

     //Searching first occurrence of element
     int firstIndex = linkedlist.indexOf("Rock");
     System.out.println("First Occurrence: " + firstIndex);

     //Searching last occurrence of element
     int lastIndex = linkedlist.lastIndexOf("Rock");
     System.out.println("Last Occurrence: " + lastIndex);
  }
}
```

**输出：**

```java
First Occurrence: 1
Last Occurrence: 5

```

**参考：**

[`LinkedList` JavaDoc](https://docs.oracle.com/javase/7/docs/api/java/util/LinkedList.html)