# Java - `LinkedList Iterator`

> 原文： [https://beginnersbook.com/2014/07/java-linkedlist-iterator-example/](https://beginnersbook.com/2014/07/java-linkedlist-iterator-example/)

在上一篇文章中，我们学习了[如何使用`ListIterator`](https://beginnersbook.com/2014/07/java-linkedlist-listiterator-example/)遍历链表。在这里，我们将学习如何[使用](https://beginnersbook.com/2013/12/how-to-loop-linkedlist-in-java/)[`Iterator`](https://beginnersbook.com/2014/06/java-iterator-with-examples/)迭代`LinkedList`。

#### 示例

我们在以下计划中遵循的步骤是：

1）创建`LinkedList`

2）使用`add(Element E)`方法向其添加元素

3）通过调用`iterator()`方法获取迭代器

4）使用`Iterator`类的`hasNext()`和`next()`方法遍历列表。

```java
import java.util.LinkedList;
import java.util.Iterator;
public class IteratorExample {

 public static void main(String[] args) {

    // Create a LinkedList
    LinkedList<String> linkedlist = new LinkedList<String>();

    // Add elements to LinkedList
    linkedlist.add("Delhi");
    linkedlist.add("Agra");
    linkedlist.add("Mysore");
    linkedlist.add("Chennai");
    linkedlist.add("Pune");

    // Obtaining Iterator
    Iterator it = linkedlist.iterator();

    // Iterating the list in forward direction
    System.out.println("LinkedList elements:");
    while(it.hasNext()){
       System.out.println(it.next());
    }
 }
}
```

**输出：**

```java
LinkedList elements:
Delhi
Agra
Mysore
Chennai
Pune
```