# Java - 替换`LinkedList`中的元素

> 原文： [https://beginnersbook.com/2014/07/java-replace-element-in-a-linkedlist-example/](https://beginnersbook.com/2014/07/java-replace-element-in-a-linkedlist-example/)

在上一篇文章中，我们分享了[在`LinkedList`中搜索元素](https://beginnersbook.com/2014/07/java-search-elements-in-linkedlist-example/)的教程。在这里，我们将看到如何使用元素的索引用[`LinkedList`](https://docs.oracle.com/javase/7/docs/api/java/util/LinkedList.html) 中的新值替换现有元素值。

#### 示例

我们在下面的程序中使用的方法是：
`public E set(int index, E element)`：用指定的元素替换此列表中指定位置的元素。

**完整代码：**

```java
import java.util.LinkedList;
public class ReplaceInLinkedList {

 public static void main(String[] args) {

    // Create a LinkedList
    LinkedList<String> linkedlist = new LinkedList<String>();

    // Add elements to LinkedList
    linkedlist.add("Cobol");
    linkedlist.add("JCL");
    linkedlist.add("C++");
    linkedlist.add("C#");
    linkedlist.add("Java");

    // Displaying Elements before replace
    System.out.println("Before Replace:");
    for(String str: linkedlist){
       System.out.println(str);
    }

    // Replacing 3rd Element with new value
    linkedlist.set(2, "NEW VALUE");
    System.out.println("\n3rd Element Replaced \n");

    // Displaying Elements after replace
    System.out.println("After Replace:");
    for(String str2: linkedlist){
       System.out.println(str2);
    }
 }
}
```

输出：

```java
Before Replace:
Cobol
JCL
C++
C#
Java

3rd Element Replaced 

After Replace:
Cobol
JCL
NEW VALUE
C#
Java

```