# Java - `LinkedList peek()`，`peekFirst()`和`peekLast()`方法

> 原文： [https://beginnersbook.com/2014/08/java-linkedlist-peek-peekfirst-and-peeklast-methods/](https://beginnersbook.com/2014/08/java-linkedlist-peek-peekfirst-and-peeklast-methods/)

#### 描述

`public E peek()`：检索但不删除此列表的头部（第一个元素）。

`public E peekFirst()`：检索但不删除此列表的第一个元素，如果此列表为空，则返回`null`。

`public E peekLast()`：检索但不删除此列表的最后一个元素，如果此列表为空，则返回`null`。

#### 示例

```java
import java.util.LinkedList;
class LinkedListPeekDemo{

  public static void main(String[] args) {

     // Create a LinkedList of Strings
     LinkedList<String> list = new LinkedList<String>();

     // Add few Elements
     list.add("Element1");
     list.add("Element2");
     list.add("Element3");
     list.add("Element4");

     // Display LinkList elements
     System.out.println("LinkedList before: "+list);

     //peek()
     System.out.println(list.peek());

     //peekFirst()
     System.out.println(list.peekFirst());

     //peekLast()
     System.out.println(list.peekLast());

     // Should be same as peek methods does not remove
     System.out.println("LinkedList after: "+list);
  }
}
```

**输出：**

```java
LinkedList before: [Element1, Element2, Element3, Element4]
Element1
Element1
Element4
LinkedList after: [Element1, Element2, Element3, Element4]

```