# 如何在 java 中获取`Vector`的子列表

> 原文： [https://beginnersbook.com/2014/06/how-to-get-sub-list-of-vector-example-in-java/](https://beginnersbook.com/2014/06/how-to-get-sub-list-of-vector-example-in-java/)

在这个例子中，我们将看到如何从`Vector`获取元素的子列表。我们将使用`Vector`类的`subList()`方法来执行此操作。
关于[javadoc](https://docs.oracle.com/javase/7/docs/api/java/util/Vector.html#subList(int,%20int))的这个方法的更多信息：
`public List subList(int fromIndex, int toIndex)`：它返回此`List`在`fromIndex`（包含）和`toIndex`（独占）之间的视图。（如果`fromIndex`和`toIndex`相等，则返回的`List`为空。）返回的`List`由此`List`支持，因此返回`List`中的更改将反映在此`List`中，反之亦然。返回的`List`支持此`List`支持的所有可选`List`操作。
此方法消除了对显式范围操作的需要（对于数组通常存在的排序）。任何期望`List`的操作都可以通过操作`subList`视图而不是整个`List`来用作范围操作。例如，以下语句从`List`中删除了一系列元素：
`list.subList(from, to).clear();`

#### 示例

```java
import java.util.Vector;
import java.util.List;

public class SublistExample {

  public static void main(String[] args) {

    // Step 1: Create a Vector
    Vector<String> vector = new Vector<String>();

    // Step 2: Add elements
    vector.add("Item1");
    vector.add("Item2");
    vector.add("Item3");
    vector.add("Item4");
    vector.add("Item5");
    vector.add("Item6");
    /* The method subList(int fromIndex, int toIndex) 
     * returns a List having elements of Vector 
     * starting from index fromIndex 
     * to (toIndex - 1).
     */
    List subList = vector.subList(2,5);

    System.out.println("Sub list elements :");
    for(int i=0; i < subList.size() ; i++){
       System.out.println(subList.get(i));
    }
  }
}
```

**输出：**

```java
Sub list elements :
Item3
Item4
Item5
```