# 如何使用 Java 中的`Collections.sort`对`Vector`进行排序

> 原文： [https://beginnersbook.com/2014/06/how-to-sort-vector-using-collections-sort-in-java-example/](https://beginnersbook.com/2014/06/how-to-sort-vector-using-collections-sort-in-java-example/)

[`Vector`](https://beginnersbook.com/2013/12/vector-in-java/)维护插入顺序，这意味着它以相同的顺序显示元素，并将它们添加到`Vector`中。在这个例子中，我们将看到如何使用[`Collections.sort()`](https://docs.oracle.com/javase/7/docs/api/java/util/Collections.html#sort(java.util.List))按升序对`Vector`元素进行排序。步骤如下：

1）创建一个`Vector`对象

2）使用`add(Element e)`方法向`Vector`添加元素

3）使用`Collections.sort(Vector)`对其进行排序

4）显示已排序的元素列表。

```java
import java.util.Collections;
import java.util.Vector;
public class SortingVectorExample {
 public static void main(String[] args) {

    // Create a Vector
    Vector<String> vector = new Vector<String>();

    //Add elements to Vector
    vector.add("Walter");
    vector.add("Anna");
    vector.add("Hank");
    vector.add("Flynn");
    vector.add("Tom");

    // By Default Vector maintains the insertion order
    System.out.println("Vector elements before sorting: ");
    for(int i=0; i < vector.size(); i++){
       //get(i) method fetches the element from index i
       System.out.println(vector.get(i));
    }

    // Collection.sort() sorts the collection in ascending order
    Collections.sort(vector);

    //Display Vector elements after sorting using Collection.sort
    System.out.println("Vector elements after sorting: :");
    for(int i=0; i < vector.size(); i++){
       System.out.println(vector.get(i));
    }
 } 
}
```

**输出：**

```java
Vector elements before sorting: 
Walter
Anna
Hank
Flynn
Tom
Vector elements after sorting: :
Anna
Flynn
Hank
Tom
Walter
```