# 删除`Vector`元素

> 原文： [https://beginnersbook.com/2014/06/remove-vector-element-java-example/](https://beginnersbook.com/2014/06/remove-vector-element-java-example/)

在这个例子中，我们将看到如何从`Vector`中删除元素。我们将使用[`Vector` API](https://beginnersbook.com/2013/12/vector-in-java/)的s[`remove(Object o)`方法](https://docs.oracle.com/javase/7/docs/api/java/util/Vector.html#remove(java.lang.Object))以删除指定的元素。
`public boolean remove(Object o)`：从`Vector`中删除第一次出现的指定元素如果`Vector`不包含该元素，则不变。

#### 示例

在这个例子中，我们从`Vector<String>`中删除两个`String`值。步骤如下：

1）创建`Vector`

2）使用`Vector`类的`add(Element e)`方法向`Vector`添加元素。

3）使用`Vector`的`remove(Object o)`方法删除元素。

```java
import java.util.Vector;
public class RemoveFromVector {
  public static void main(String[] args) {
     // Creating a Vector of String Elements
     Vector<String> vector = new Vector<String>();

     //Adding elements to the Vector
     vector.add("Harry");
     vector.add("Steve");
     vector.add("Vince");
     vector.add("David");
     vector.add("Matt");

     System.out.println("Vector elements before remove(): ");
     for(int i=0; i < vector.size(); i++)
     {
        System.out.println(vector.get(i));
     }

     // Removing Harry
     vector.remove("Harry");
     // Removing Matt
     vector.remove("Matt");

     System.out.println("\nVector elements after remove(): ");
     for(int i=0; i < vector.size(); i++)
     {
        System.out.println(vector.get(i));
     }
  }
}
```

**输出：**

```java
Vector elements before remove(): 
Harry
Steve
Vince
David
Matt

Vector elements after remove(): 
Steve
Vince
David
```

`remove(Object o)`方法返回`boolean`值。如果`Vector`中存在指定的元素，则返回`true`，否则返回`false`。