# 从 Java 中的`Vector`中删除所有元素

> 原文： [https://beginnersbook.com/2014/06/remove-all-elements-from-vector-in-java-example/](https://beginnersbook.com/2014/06/remove-all-elements-from-vector-in-java-example/)

在这个例子中，我们将看到如何从`Vector`中删除所有元素。我们将使用`Vector`类的[`clear()`方法](https://docs.oracle.com/javase/7/docs/api/java/util/Vector.html#clear())来做到这一点。
`public void clear()`：删除此`Vector`中的所有元素。此方法调用后，`Vector`将为空。

#### 示例

这里我们在调用`clear()`方法之前和之后显示`Vector`的大小。步骤如下：

1）创建一个`Vector`。

2）添加元素。

3）调用`clear()`方法删除所有元素。

```java
import java.util.Vector;
public class RemoveAll {
 public static void main(String[] args) {

    // Creating a Vector of Strings
    Vector<String> vector = new Vector<String>();

    //Adding elements to the Vector
    vector.add("C++");
    vector.add("Java");
    vector.add("Cobol");
    vector.add("C");
    vector.add("Oracle");

    System.out.println("Current size of Vector: "+vector.size());

    // Calling clear() method of Vector API
    vector.clear();

    System.out.println("Size of Vector after clear(): "+vector.size());
 }
}
```

**输出：**

```java
Current size of Vector: 5
Size of Vector after clear(): 0
```