# 如何设置`Vector`大小

> 原文： [https://beginnersbook.com/2014/06/how-to-set-vector-size-example/](https://beginnersbook.com/2014/06/how-to-set-vector-size-example/)

我们可以使用[`Vector`类](https://beginnersbook.com/2013/12/vector-in-java/)的`setSize()`方法设置`Vector`的大小。如果新大小大于当前大小，则当前大小索引之后的所有元素都具有空值。如果新大小小于当前大小，则已从`Vector`中删除当前大小索引之后的元素。

#### 示例

`Vector`最初有 5 个元素。我们将大小设置为 10，因此在`Vector`的末尾插入了 5 个`null`元素。
在程序的第二部分，我们将大小设置为 4（小于当前大小 10），因此最后六个元素从`Vector`中删除（包括`null`元素）。

```java
import java.util.Vector;
public class SetSizeExample {
  public static void main(String[] args) {
     // Create a Vector
     Vector<String> vector = new Vector<String>();

     //Add elements to Vector
     vector.add("Walter");
     vector.add("Anna");
     vector.add("Hank");
     vector.add("Flynn");
     vector.add("Tom");

     //Setting up the size greater than current size
     vector.setSize(10);
     System.out.println("Vector size: "+vector.size());
     System.out.println("Vector elements: ");
     for(int i=0; i < vector.size(); i++){
        //get(i) method fetches the element from index i
        System.out.println(vector.get(i));
     }

     //Setting up the size less than current size
     vector.setSize(4);
     System.out.println("\nVector size: "+vector.size());
     System.out.println("Vector elements: ");
     for(int i=0; i < vector.size(); i++){
        System.out.println(vector.get(i));
     }
  } 
}
```

**输出：**

```java
Vector size: 10
Vector elements: 
Walter
Anna
Hank
Flynn
Tom
null
null
null
null
null

Vector size: 4
Vector elements: 
Walter
Anna
Hank
Flynn

```