# Java 中的`Vector Enumeration`

> 原文： [https://beginnersbook.com/2014/06/vector-enumeration-example-in-java/](https://beginnersbook.com/2014/06/vector-enumeration-example-in-java/)

在这个例子中，我们使用[`Enumeration`](https://docs.oracle.com/javase/7/docs/api/java/util/Enumeration.html)迭代[`Vector`](https://beginnersbook.com/2013/12/vector-in-java/)。步骤如下：

1）创建一个`Vector`对象

2）使用`Vector`类的`add()`方法向向量添加元素。

3）调用`elements()`方法获取指定`Vector`的枚举

4）使用`Enumeration`方法`hashMoreElements()`和`nextElement()`迭代`Vector`。

**示例：完整代码**

```java
import java.util.Vector;
import java.util.Enumeration;

public class VectorEnumerationExample {
 public static void main(String[] args) {
    // Create a Vector 
    Vector<String> vector = new Vector<String>();

    // Add elements into Vector
    vector.add("Chaitanya");
    vector.add("Shubham");
    vector.add("Apoorv");
    vector.add("Jin");
    vector.add("Jacob");

    // Get Enumeration of Vector elements 
    Enumeration en = vector.elements();

    /* Display Vector elements using hashMoreElements()
     * and nextElement() methods. 
     */
    System.out.println("Vector elements are: ");
    while(en.hasMoreElements())
       System.out.println(en.nextElement());
  }
}
```

**输出：**

```java
Vector elements are: 
Chaitanya
Shubham
Apoorv
Jin
Jacob
```