# Java 中的`Vector`迭代器

> 原文： [https://beginnersbook.com/2014/06/vector-iterator-example-in-java/](https://beginnersbook.com/2014/06/vector-iterator-example-in-java/)

在上一个教程中，我们学习了如何[使用`ListIterator`](https://beginnersbook.com/2014/06/vector-listiterator-example-in-java/)在两个方向（前进和后退）中遍历`Vector`。在这个例子中，我们将看到如何使用[`Iterator`](https://beginnersbook.com/2014/06/java-iterator-with-examples/)遍历[`Vector`](https://beginnersbook.com/2013/12/vector-in-java/)。步骤如下：

1）创建一个`Vector`

2）使用`Vector`类的`add(Element E)`方法向其中添加元素

3）通过调用`Vector`的`iterator()`方法获取迭代器。

4）使用迭代器的`hasNext()`和`next()`方法遍历`Vector`。

#### 示例

```java
import java.util.Vector;
import java.util.ListIterator;
import java.util.Iterator;
public class VectorIteratorExample {
  public static void main(String[] args) {

     // Creating a Vector of Strings
     Vector<String> vector = new Vector<String>();

     //Adding elements to the Vector
     vector.add("Mango");
     vector.add("Orange");
     vector.add("Apple");
     vector.add("Grapes");
     vector.add("Kiwi");

     //Obtaining an iterator
     Iterator it = vector.iterator();

     System.out.println("Vector elements are:");
     while(it.hasNext()){
       System.out.println(it.next());
     }
  }
}
```

**输出：**

```java
Vector elements are:
Mango
Orange
Apple
Grapes
Kiwi
```