# Java 中的`Vector ListIterator`

> 原文： [https://beginnersbook.com/2014/06/vector-listiterator-example-in-java/](https://beginnersbook.com/2014/06/vector-listiterator-example-in-java/)

我们可以使用[`ListIterator`](https://beginnersbook.com/2014/06/listiterator-in-java-with-examples/)在前进和后退方向上遍历[`Vector`](https://beginnersbook.com/2013/12/vector-in-java/)。除此之外，我们还可以使用 `ListIterator` API 的方法执行其他几个操作，例如显示下一个和前一个元素的索引，替换元素值，在迭代期间删除元素等。

#### 示例

这里我们有一个字符串向量，我们使用`ListIterator`在两个方向上迭代它。

```java
import java.util.Vector;
import java.util.ListIterator;
public class VectorListIteratorDemo {
  public static void main(String[] args) {
     // Create a Vector
     Vector<String> vector = new Vector<String>();

     //Adding elements to the Vector
     vector.add("Item1");
     vector.add("Item2");
     vector.add("Item3");
     vector.add("Item4");
     vector.add("Item5");

     ListIterator litr = vector.listIterator();
     System.out.println("Traversing in Forward Direction:");
     while(litr.hasNext())
     {
       System.out.println(litr.next());
     }

     System.out.println("\nTraversing in Backward Direction:");
     while(litr.hasPrevious())
     {
       System.out.println(litr.previous());
     }
  }
}
```

**输出：**

```java
Traversing in Forward Direction:
Item1
Item2
Item3
Item4
Item5

Traversing in Backward Direction:
Item5
Item4
Item3
Item2
Item1
```

**参考：**

[`ListIterator` javadoc](https://docs.oracle.com/javase/7/docs/api/java/util/ListIterator.html)
[`Vector` Javadoc](https://docs.oracle.com/javase/7/docs/api/java/util/Vector.html)