# Java - 将`Vector`转换为`List`

> 原文： [https://beginnersbook.com/2014/07/java-convert-vector-to-list-example/](https://beginnersbook.com/2014/07/java-convert-vector-to-list-example/)

之前我们有[`Vector`到`ArrayList`](https://beginnersbook.com/2014/07/java-convert-vector-to-arraylist-example/)和[`Vector`到数组的转换](https://beginnersbook.com/2014/07/how-to-convert-vector-to-string-array-in-java/)。在本教程中，我们将看到如何将`Vector`转换为`List`。步骤如下：

1）创建一个`Vector`并填充它

2）通过调用返回`List`对象的`Collections.list(vector.elements())`将其转换为`List`。

#### 示例

为了解释逻辑，我们假设`Vector`具有`String`元素。但是，如果您想要使用其他类型，则只需更改以下代码中的泛型。

```java
import java.util.Vector;
import java.util.List;
import java.util.Collections;
public class VectorToList {

  public static void main(String[] args) {

     // Step1: Creating a Vector of String elements
     Vector<String> vector = new Vector<String>();

     // Step2: Populating Vector
     vector.add("Tim");
     vector.add("Rock");
     vector.add("Hulk");
     vector.add("Rick");
     vector.add("James");

    // Step3: Displaying Vector elements
    System.out.println("Vector Elements :");
    for (String str : vector){
       System.out.println(str);
    }

    // Step4: Converting Vector to List
    List<String> list = Collections.list(vector.elements());

    // Step 5: Displaying List Elements
    System.out.println("\nList Elements :");
    for (String str2 : list){
       System.out.println(str2);
    }
 }
}
```

**输出：**

```java
Vector Elements :
Tim
Rock
Hulk
Rick
James

List Elements :
Tim
Rock
Hulk
Rick
James

```

正如您所看到的，`Vector`和`List`在转换后具有相同的元素。

#### 参考

*   [`Vector` Javadoc](https://docs.oracle.com/javase/7/docs/api/java/util/Vector.html)
*   [`Collections` Javadoc](https://docs.oracle.com/javase/7/docs/api/java/util/Collections.html)