# Java 程序：用于检查数字是正还是负

> 原文： [https://beginnersbook.com/2017/09/java-program-to-check-if-number-is-positive-or-negative/](https://beginnersbook.com/2017/09/java-program-to-check-if-number-is-positive-or-negative/)

在这篇文章中，我们将编写两个 java 程序，第一个 java 程序检查指定的数字是正数还是负数。第二个程序获取输入数字（由用户输入）并检查它是正数还是负数并显示结果。
→如果一个数字大于零，那么它是一个正数
→如果一个数字小于零那么它是一个负数
→如果一个数字等于零则它既不是负数也不是整数。

让我们在 Java 程序中编写这个逻辑。

## 示例 1：检查给定数字是正数还是负数

在此程序中，我们在声明期间指定了数字的值，程序检查指定的数字是正数还是负数。要理解这个程序，你应该具备[核心 Java 编程](https://beginnersbook.com/2017/08/if-else-statement-in-java/)中[`if-else-if`语句](https://beginnersbook.com/2017/08/if-else-statement-in-java/)的基本知识。

```java
public class Demo
{
    public static void main(String[] args) 
    {
        int number=109;
        if(number > 0)
        {
            System.out.println(number+" is a positive number");
        }
        else if(number < 0)
        {
            System.out.println(number+" is a negative number");
        }
        else
        {
            System.out.println(number+" is neither positive nor negative");
        }
    }
}
```

**输出：**

```java
109 is a positive number
```

## 示例 2：检查输入数字（由用户输入）是正数还是负数

这里我们使用`Scanner`来[读取用户](https://beginnersbook.com/2017/09/java-program-to-read-integer-value-from-the-standard-input/)输入的数字，然后程序检查并显示结果。

```java
import java.util.Scanner;
public class Demo
{
    public static void main(String[] args) 
    {
        int number;
        Scanner scan = new Scanner(System.in);
        System.out.print("Enter the number you want to check:");
        number = scan.nextInt();
        scan.close();
        if(number > 0)
        {
            System.out.println(number+" is positive number");
        }
        else if(number < 0)
        {
            System.out.println(number+" is negative number");
        }
        else
        {
            System.out.println(number+" is neither positive nor negative");
        }
    }
}
```

**输出：**

```java
Enter the number you want to check:-12
-12 is negative number
```

#### 试试这些相关的程序

1.  [Java 程序：相加两个数字](https://beginnersbook.com/2017/09/java-program-to-add-two-numbers/)
2.  [Java 程序：乘以两个数字](https://beginnersbook.com/2017/09/java-program-to-multiply-two-numbers/)
3.  [Java 程序：从标准输入读取数字](https://beginnersbook.com/2017/09/java-program-to-read-integer-value-from-the-standard-input/)