# Java 程序：打印 1 到`n`或 1 到 100 的偶数

> 原文： [https://beginnersbook.com/2019/04/java-program-to-print-even-numbers-from-1-to-n-or-1-to-100/](https://beginnersbook.com/2019/04/java-program-to-print-even-numbers-from-1-to-n-or-1-to-100/)

在本教程中，我们将编写一个 **Java 程序来显示从 1 到`n`** 的偶数，这意味着如果`n`的值为 100，则该程序将显示 1 到 100 之间的偶数值。

## 显示从 1 到 n 的偶数，其中`n`为 100

在下面的例子中，我们显示从 1 到`n`的偶数，我们在这里设置的`n`的值是 100，所以基本上这个程序将打印 1 到 100 之间的偶数。

如果整数（不是分数）可以被 2 整除，这意味着**在除以 2 时不产生余数**，那么它是偶数。我们在这里使用相同的逻辑来找到偶数。我们循环 1 到`n`并检查每个值是否可以被 2 整除，如果是，那么我们正在显示它。要理解这个程序，你应该具有[ Java `for`循环](https://beginnersbook.com/2015/03/for-loop-in-java-with-example/)和[`if`语句](https://beginnersbook.com/2017/08/if-else-statement-in-java/)的基本知识。

```java
class JavaExample {
   public static void main(String args[]) {
	int n = 100;
	System.out.print("Even Numbers from 1 to "+n+" are: ");
	for (int i = 1; i <= n; i++) {
	   //if number%2 == 0 it means its an even number
	   if (i % 2 == 0) {
		System.out.print(i + " ");
	   }
	}
   }
}
```

**输出：**

```java
Even Numbers from 1 to 100 are: 2 4 6 8 10 12 14 16 18 20 22 24 26 28 
30 32 34 36 38 40 42 44 46 48 50 52 54 56 58 60 62 64 66 68 70 72 74 76 
78 80 82 84 86 88 90 92 94 96 98 100
```

#### 相关的 Java 示例

1.  [Java 程序：打印 1 到 100 的奇数](https://beginnersbook.com/2019/04/java-program-to-print-odd-numbers-from-1-to-n-or-1-to-100/)
2.  [Java 程序：检查偶数或奇数](https://beginnersbook.com/2014/02/java-program-to-check-even-or-odd-number/)
3.  [Java 程序：检查一个给定的数字是否是完美平方](https://beginnersbook.com/2019/02/java-program-to-check-if-given-number-is-perfect-square/)
4.  [Java 程序：找到两个数字的 GCD](https://beginnersbook.com/2018/09/java-program-to-find-gcd-of-two-numbers/)