# Java 程序：布尔值到`String`的转换

> 原文： [https://beginnersbook.com/2015/05/java-boolean-to-string/](https://beginnersbook.com/2015/05/java-boolean-to-string/)

我们可以通过两种方法将布尔值转换为`String`：

1）**方法 1：使用`String.valueOf(boolean b)`：此方法接受`boolean`参数并将其转换为等效的`String`值。

**方法声明**：

```java
public static String valueOf(boolean b)
```

**参数**：

`b` - 表示我们要转换的布尔变量

**返回**：

`b`的字符串表示

```java
boolean boovar = true;
String str = String.valueOf(boovar);
```

2）**方法 2：使用`Boolean.toString(boolean b)`：此方法与`String.valueOf()`方法的作用相同。它属于`Boolean`类，并将指定的`boolean`转换为`String`。如果传递的`boolean`值为`true`，则返回的字符串将具有`"true"`值，类似于`false`，返回的字符串将具有`"false"`值。

**方法声明**：

```java
public static String toString(boolean b)
```

**参数**：

`b` - 表示需要转换的布尔变量

**返回**：

表示传递的布尔值的字符串。

```java
boolean boovar = false;
String str = Boolean.toString(boovar);
```

## 示例：将布尔值转换为`String`

该程序演示了上述两种方法的使用。这里我们有两个布尔变量，我们使用`String.valueOf()`方法转换其中一个，使用`Boolean.toString()`方法转换其中一个。

```java
package com.beginnersbook.string;

public class BooleanToString {
    public static void main(String[] args) {

        /* Method 1: using valueOf() method
         * of String class.
         */
        boolean boovar = true;
        String str = String.valueOf(boovar);
        System.out.println("String is: "+str);

        /* Method 2: using toString() method 
         * of Boolean class
         */
        boolean boovar2 = false;
        String str2 = Boolean.toString(boovar2);
        System.out.println("String2 is: "+str2);
    }
}
```

**输出：**

```java
String is: true
String2 is: false
```

