# Java 程序：`long`到字符串的转换

> 原文： [https://beginnersbook.com/2015/05/java-long-to-string/](https://beginnersbook.com/2015/05/java-long-to-string/)

可以使用以下任何方法将`long`值转换为`String`：

1）方法 1：使用`String.valueOf(long l)`：此方法将`long`值作为参数并返回它的字符串表示。

**方法声明**：

```java
public static String valueOf(long l)
```

**参数**：

`l` - 我们要转换的`long`值

**返回**：

`long l`的字符串表示

```java
long lvar = 123;
String str = String.valueOf(lvar);
```

**2）方法 2：使用`Long.toString(long l)`：此方法与`String.valueOf(long)`方法的作用相同。它返回表示我们传递给此方法的`long`值的字符串。对于例如如果传递的值是 1202，那么返回的字符串将是`"1202"`。

**方法声明**：

```java
public static String toString(long l)
```

**参数**：

`l` - 这表示我们作为参数传递给方法的`long`值。

**返回**：

表示传递的`long`值的字符串。

```java
long lvar2 = 200;
String str2 = Long.toString(lvar2);
```

## 示例：将`long`转换为`String`

该程序演示了上述两种方法的使用。这里我们有两个`long`变量（`lvar`和`lvar2`），我们使用`String.valueOf(long l)`方法转换其中一个，使用`Long.toString(long l)`方法转换其中一个。

```java
package com.beginnersbook.string;

public class LongToString {
    public static void main(String[] args) {

        /* Method 1: using valueOf() method
         * of String class.
         */
        long lvar = 123;
        String str = String.valueOf(lvar);
        System.out.println("String is: "+str);

        /* Method 2: using toString() method 
         * of Long class
         */
        long lvar2 = 200;
        String str2 = Long.toString(lvar2);
        System.out.println("String2 is: "+str2);
    }
}

```

**输出：**

```java
String is: 123
String2 is: 200

```
