# Java `String isEmpty()`方法

> 原文： [https://beginnersbook.com/2017/10/java-string-isempty-method-with-example/](https://beginnersbook.com/2017/10/java-string-isempty-method-with-example/)

Java `String isEmpty()`方法检查`String`是否为空。如果给定的字符串为空，则此方法返回`true`，否则返回`false`。换句话说，如果字符串的[长度](https://beginnersbook.com/2013/12/java-string-length-method-example/)为 0，则可以说此方法返回`true`。

`isEmpty()`方法的签名：**

```java
public boolean isEmpty()
```

## Java `String isEmpty()`方法示例

```java
public class Example{  
   public static void main(String args[]){  
	//empty string
	String str1="";  
	//non-empty string
	String str2="hello";  

	//prints true
	System.out.println(str1.isEmpty());  
	//prints false
	System.out.println(str2.isEmpty());  
   }
}
```

输出：

```java
true
false
```

## Java `String isEmpty()`方法检查字符串是否为空或空的示例

正如我们在上面的例子中看到的那样，`isEmpty()`方法只检查`String`是否为空。如果要检查`String`是否为`null`或为空，则可以执行此操作，如以下示例所示。

```java
public class Example{  
   public static void main(String args[]){  
	String str1 = null; 
	String str2 = "beginnersbook";  

	if(str1 == null || str1.isEmpty()){
	   System.out.println("String str1 is empty or null"); 
	}
	else{
	   System.out.println(str1);
	}
	if(str2 == null || str2.isEmpty()){
	   System.out.println("String str2 is empty or null");  
	}
	else{
	   System.out.println(str2);
	}
   }
}
```

输出：

```java
String str1 is empty or null
beginnersbook
```

#### 参考

[`String isEmpty()`方法 - JavaDoc](https://docs.oracle.com/javase/7/docs/api/java/lang/String.html#isEmpty())

#### 相关文章

1.  [Java `String intern()`方法](https://beginnersbook.com/2017/10/java-string-intern-method/)
2.  [Java `String format()`方法](https://beginnersbook.com/2017/10/java-string-format-method/)
3.  [Java `String substring()`](https://beginnersbook.com/2013/12/java-string-substring-method-example/)
4.  [Java 8 - `StringJoiner`示例](https://beginnersbook.com/2017/10/java-8-stringjoiner/)