# Java `String join()`方法

> 原文： [https://beginnersbook.com/2017/10/java-string-join-method/](https://beginnersbook.com/2017/10/java-string-join-method/)

在 Java 8 中，我们在 [Java `String`](https://beginnersbook.com/2013/12/java-strings/)类中有一个新的方法`join()`。Java `String join()`方法[连接给定的字符串](https://beginnersbook.com/2013/12/java-string-concat-method-example/)并返回连接的字符串。为了同样的目的，Java 8 还引入了一个新的[`StringJoiner`类](https://beginnersbook.com/2017/10/java-8-stringjoiner/)。

## Java String Join（）方法签名

```java
public static String join(CharSequence delimiter,
                          CharSequence... elements)
```

返回一个新的`String`，该`String`由`CharSequence`元素的副本组成，这些元素与指定的分隔符的副本连接在一起。

例如，

```java
String message = String.join("-", "This", "is", "a", "String");
// message returned is: "This-is-a-String"
```

此方法的第一个参数指定用于连接多个字符串的分隔符。
注意，如果元素为`null`，则添加`"null"`。

## Java `String join()`示例

```java
public class Example{  
   public static void main(String args[]){  
	//The first argument to this method is the delimiter
	String str=String.join("^","You","are","Awesome");  
	System.out.println(str);  
   }
}
```

输出：

```java
You^are^Awesome
```

## Java `String join()`通过分隔符连接列表元素的示例

在这个例子中，我们使用`join()`方法通过分隔符连接`List`的元素。

```java
import java.util.List;
import java.util.Arrays;
public class Example{  
   public static void main(String args[]){  
	//Converting an array of String to the list
	List list<String> = Arrays.asList("Steve", "Rick", "Peter", "Abbey");
	String names = String.join(" | ", list);
	System.out.println(names);
   }
}
```

输出：

```java
Steve | Rick | Peter | Abbey
```

#### 相关文章：

1.  [Java `String concat()`示例](https://beginnersbook.com/2013/12/java-string-concat-method-example/)
2.  [Java `substring()`示例](https://beginnersbook.com/2013/12/java-string-substring-method-example/)
3.  [Java `String copyValueOf()`示例](https://beginnersbook.com/2013/12/java-string-copyvalueof-method-example/)
4.  [Java `String intern()`示例](https://beginnersbook.com/2017/10/java-string-intern-method/)

#### 参考

[`String join()`方法 - JavaDoc](https://docs.oracle.com/javase/8/docs/api/java/lang/String.html#join-java.lang.CharSequence-java.lang.CharSequence...-)