# 如何在 Java 中仅删除字符串的尾随空格

> 原文： [https://beginnersbook.com/2014/07/how-to-remove-only-trailing-spaces-of-a-string-in-java/](https://beginnersbook.com/2014/07/how-to-remove-only-trailing-spaces-of-a-string-in-java/)

在本教程中，我们将学习如何从字符串中修剪尾随空格而不是前导空格。这是完整的代码：

```java
class TrimBlanksExample {
  public static void main(String[] args) {
    System.out.println("#"+trimTrailingBlanks(" How are you?? ")+"@");
    System.out.println("#"+trimTrailingBlanks(" I'm Fine. ")+"@");
  }

  public static String trimTrailingBlanks( String str)
  {
    if( str == null)
      return null;
    int len = str.length();
    for( ; len > 0; len--)
    {
      if( ! Character.isWhitespace( str.charAt( len - 1)))
         break;
    }
    return str.substring( 0, len);
  } 
}
```

**输出：**

```java
#  How are [email protected]
#    I'm [email protected]
```

正如您所看到的，字符串和`"@"`之间没有空格，表明已从字符串中删除了尾随空格。此外，输出中的`"#"`和`String`之间有空格，表示不会从字符串中删除前导空格。

**参考：**

[`substring()`方法](https://beginnersbook.com/2013/12/java-string-substring-method-example/ "Java – String substring() Method example")
[`charAt()`方法](https://beginnersbook.com/2013/12/java-string-charat-method-example/ "Java – String charAt() Method example")
[`length()`方法](https://beginnersbook.com/2013/12/java-string-length-method-example/ "Java – String length() Method example")
[`isWhitespace()`方法](https://docs.oracle.com/javase/7/docs/api/java/lang/Character.html#isWhitespace(char))