# Java - `float`到`String`的转换

> 原文： [https://beginnersbook.com/2015/05/java-float-to-string/](https://beginnersbook.com/2015/05/java-float-to-string/)

我们可以使用以下两种方法中的任何一种将`float`转换为`String`：

1）方法 1：使用`String.valueOf(float f)`：我们将`float`值作为参数传递给该方法它返回它的字符串表示形式。

**方法声明**：

```java
public static String valueOf(float f)
```

**参数**：

`f` - 表示我们要转换为`String`的`float`值

**返回**：

表示浮点数`f`的字符串

```java
float fvar = 1.17f;
String str = String.valueOf(fvar);
```

2）方法 2：使用`Float.toString(float f)`：此方法与`String.valueOf(float)`方法的工作方式类似，只是它属于`Float`类。此方法获取浮点值并将其转换为其字符串表示形式。对于例如如果我们将浮点值`1.07f`传递给此方法，它将返回字符串`"1.07"`作为输出。

**方法声明**：

```java
public static String toString（float f）
```

**参数**：

`f` - 浮点值

**返回**：

表示`f`的字符串。

```java
float fvar2 = -2.22f;
String str2 = Float.toString(fvar2);
```

## 示例：将`float`转换为`String`

在这个程序中，我们有两个浮点变量，我们使用不同的两个方法将它们转换为字符串。我们使用`valueOf(float)`方法将第一个`float`变量转换为`string`，而我们使用`toString(float)`方法转换第二个`float`变量。该实施例说明了上述两种方法的使用。

```java
package com.beginnersbook.string;

public class FloatToString {
    public static void main(String[] args) {
        /* Method 1: using valueOf() method
         * of String class.
         */
        float fvar = 1.17f;
        String str = String.valueOf(fvar);
        System.out.println("String is: "+str);

        /* Method 2: using toString() method 
         * of Float class
         */
        float fvar2 = -2.22f;
        String str2 = Float.toString(fvar2);
        System.out.println("String2 is: "+str2);
    }
}
```

**输出**：

```java
String is: 1.17
String2 is: -2.22
```