# Java `continue`语句

> 原文： [https://beginnersbook.com/2017/08/java-continue-statement/](https://beginnersbook.com/2017/08/java-continue-statement/)

**`continue`语句**主要用于循环内部。每当在循环内遇到它时，控制流直接跳转到循环的开头以进行下一次迭代，跳过循环体内语句的执行以进行当前迭代。当您想继续循环但不希望循环体中的其余语句（在`continue`语句之后）为该特定迭代执行时，这尤其有用。

**语法：**

继续单词后跟分号。

```java
continue;
```

## 示例：`for`循环中的`continue`语句

```java
public class ContinueExample {

   public static void main(String args[]){
	for (int j=0; j<=6; j++)
	{
           if (j==4)
           {
	      continue;
	   }

           System.out.print(j+" ");
	}
   }
}
```

**输出：**

```java
0 1 2 3 5 6
```

> 您可能已经注意到，输出中缺少值 4，为什么？因为当[变量](https://beginnersbook.com/2017/08/variables-in-java/)`j`的值为 4 时，程序遇到 **`continue`语句**，这使得它[跳转到开头](https://beginnersbook.com/2015/03/for-loop-in-java-with-example/)以进行下一次迭代，跳过当前迭代的语句（这就是当`j`的值为 4 时`println`没有执行的原因）。

## `continue`语句的流程图


![Continue Statement](img/0eb6023039f4c9bea7a24ed0d9e861d5.jpg)

## 示例：在`while`循环中使用`continue`

你可以在这看到同样的事情。对于`counter`值，我们将此循环从 10 迭代到 0，当计数器值为 7 时，循环跳过`print`语句并开始[`while`循环](https://beginnersbook.com/2015/03/while-loop-in-java-with-examples/)的下一次迭代。

```java
public class ContinueExample2 {

   public static void main(String args[]){
	int counter=10;
	while (counter >=0)
	{
           if (counter==7)
           {
	       counter--;
	       continue;
           }
           System.out.print(counter+" ");
           counter--;
	}
   }
}

```

**输出：**

```java
10 9 8 6 5 4 3 2 1 0
```

## `do-while`循环中`continue`的示例

```java
public class ContinueExample3 {

   public static void main(String args[]){
	int j=0;
        do
	{
	   if (j==7)
	   {
		 j++;
		 continue;
	   }
	   System.out.print(j+ " ");
	   j++;
       }while(j<10);

   }
}

```

**输出：**

```java
0 1 2 3 4 5 6 8 9 

```