# Java 中的`break`语句

> 原文： [https://beginnersbook.com/2017/08/java-break-statement/](https://beginnersbook.com/2017/08/java-break-statement/)

**`break`语句**通常用于以下两种情况：

a）使用`break`语句立即退出循环。每当在循环内遇到`break`语句时，控制流直接退出循环，并且循环在其余迭代中终止。它与`if`语句一起使用，只要在循环内部使用，以便循环在特定条件下终止。

这里要注意的重点是，当在嵌套循环中使用`break`语句时，只有内部循环才会终止。

b）它也用于[`switch-case`](https://beginnersbook.com/2017/08/java-switch-case/)控制。通常情况下，`switch`语句中的所有情况都会跟一个`break`语句，这样每当程序控制流跳转到一个`case`时，它就不会执行后续的情况（参见下面的例子）。一旦在`switch-case`块中遇到中断，控制器就会从`switch-case`体中出来。

**`break`语句的语法：**

`break`一词后跟分号。

```java
break;
```

## 示例 - 在`while`循环中使用`break`

在下面的例子中，我们有一个[`while`循环](https://beginnersbook.com/2015/03/while-loop-in-java-with-examples/)从 0 运行到 100 但由于我们有一个`break`语句只在循环值达到 2 时发生，循环终止并且控制传递给下一个循环体后的程序语句。

```java
public class BreakExample1 {
   public static void main(String args[]){
      int num =0;
      while(num<=100)
      {
          System.out.println("Value of variable is: "+num);
          if (num==2)
          {
             break;
          }
          num++;
      }
      System.out.println("Out of while-loop");
  }
}
```

**输出：**

```java
Value of variable is: 0
Value of variable is: 1
Value of variable is: 2
Out of while-loop
```

## 示例 - 在`for`循环中使用`break`

你可以在这看到同样的事情。一旦`var`值达到 99，[`for`循环](https://beginnersbook.com/2015/03/for-loop-in-java-with-example/)就会终止。

```java
public class BreakExample2 {

   public static void main(String args[]){
	int var;
	for (var =100; var>=10; var --)
	{
	    System.out.println("var: "+var);
	    if (var==99)
	    {
	         break;
	    }
	 }
	 System.out.println("Out of for-loop");
   }
}
```

**输出：**

```java
var: 100
var: 99
Out of for-loop

```

## 示例 - 在`switch-case`中使用`break`语句

```java
public class BreakExample3 {

   public static void main(String args[]){
	int num=2;

	switch (num)
	{
	    case 1:
	       System.out.println("Case 1 ");
	       break;
	    case 2:
	       System.out.println("Case 2 ");
	       break;
	    case 3:
	       System.out.println("Case 3 ");
	       break;
	    default:
	       System.out.println("Default ");
	}
   }
}

```

**输出：**

```java
Case 2

```

在这个例子中，我们在每个`Case`块之后都有`break`语句，这是因为如果我们没有它，那么后续的`case`块也会执行。不中断的同一程序的输出将是`Case 2 Case 3 Default`。