# JSTL`<c:import>`核心标签

> 原文： [https://beginnersbook.com/2013/11/jstl-cimport-core-tag/](https://beginnersbook.com/2013/11/jstl-cimport-core-tag/)

JSTL`<c:import>`标签用于将内容从另一个文件/页面导入到当前的 JSP 页面。

#### 语法：

```html
<c:import var="variable_name" url="relative_url"/>
```

这里`variable_name`是一个存储从另一个 URL 导入的数据的变量。`relative_url`是需要导入的文件/页面的地址。

#### `<c:import>`的属性

*   `url`：这是强制属性，需要始终提及。
*   `var`：如果未指定，则为可选属性，然后导入的数据将打印在当前页面上。对于例如声明`<c:import url ="/ file.jsp"/>`会在客户端（浏览器）上打印`file.jsp`的数据。
*   `scope`：它也是可选的。如果我们使用`var`属性，那么`scope`可以与它一起使用来指定存储在变量中的数据的范围。

#### 例

这是一个包含一些数据的页面。我们将在`index.jsp`页面中导入此页面。

`display.jsp`

```html
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<c:out value="Chaitanya"/>
<c:out value="BeginnersBook.com" />
<c:out value="This is just a String" />
```

`index.jsp`

这里我们将`display.jsp`中的数据导入变量`mydata`，然后我们使用[`<c:out>`标签](https://beginnersbook.com/2013/11/jstl-cout-core-tag/)在浏览器上显示它。

```html
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<html>
<head>
<title> JSTL c:import Tag Example</title>
</head>
<body>
<c:import var="mydata" url="/display.jsp"/>
<c:out value="${mydata}"/>
</body>
</html>
```

**输出屏幕：**

![c-import-example](../Images/2f51e8e7b311f5b39ad1673799d34137.jpg)