# JSTL`<c:param>`核心标签

> 原文： [https://beginnersbook.com/2013/11/jstl-cparam-core-tag/](https://beginnersbook.com/2013/11/jstl-cparam-core-tag/)

`<c:param>` JSTL 标签主要与`<c:url>`一起使用。和`<c:redirect>`标签。基本上它将参数及其值添加到这些标签的输出中。在本教程中，我们将看到`<c:param>`标签可以与`<c:url>`和`<c:redirect>`标签一起使用。

#### 语法：

```html
<c:param name="parameter_name" value="parameter_value"/>
```

#### `<c:param>`的属性标签

*   `name`：指定参数的名称。
*   `value`：指定参数的值。

#### `<c:param>`的示例

在这个例子中，我们使用`<c:param>`标签用于将参数添加到结果 URL。

```html
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<html>
<head>
<title>JSTL c:param Tag Example</title>
</head>
<body>
<c:url value="/mypage.jsp" var="completeURL">
 <c:param name="Id" value="736"/>
 <c:param name="user" value="chaitanya"/>
</c:url>
${completeURL}
</body>
</html>
```

**输出：**

![c-param-example](../Images/e8995c40562c25bea6b7f6ef2e3457bc.jpg)

#### 实施例 2：`<c:param>`在`<c:redirect>`中使用标签

这里我们使用`<c:param>`标签传递参数以及重定向网址，然后我们使用表达式语言的[`param`变量](https://beginnersbook.com/2013/11/jsp-expression-language-el/)在重定向页面上显示这些参数。

```html
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<html>
<head>
<title>c:param Example2</title>
</head>
<body>
<c:redirect url="/display.jsp" >
 <c:param name="UserId" value="222"/>
 <c:param name="UserName" value="ChaitanyaSingh"/>
</c:redirect>
${completeURL}
</body>
</html>
```

`display.jsp`

```html
USER ID IS: ${param.UserId}
USER NAME IS: ${param.UserName}
```

输出：

![c-param-example2](../Images/4c26c4ce0b2126a3c4bfb01d2e0ae39d.jpg)