# `fn:escapeXml()` - JSTL 函数

> 原文： [https://beginnersbook.com/2013/12/fn-escapexml-jstl-function/](https://beginnersbook.com/2013/12/fn-escapexml-jstl-function/)

`fn:escapeXml()`JSTL 函数用于 HTML / XML 字符转义，这意味着它将 html / xml 标签视为字符串而不是标签。它类似于`<c:out>`标签的 [`escapeXml`属性x](https://beginnersbook.com/2013/11/jstl-cout-core-tag/)。让我们在一个例子的帮助下理解这一点：

#### 语法

```html
String escapeXml(String input_string)
```

转义 html / xml 标签标签后，将`input_string`转换为输出字符串。

*   函数返回类型是`String`
*   参数：`input_string`

#### `fn:escapeXml()`示例

这里我们有两个字符串，其 html 标签为粗体（`<b>`）和斜体（`<i>`）。我们正在使用 `fn:escapeXml()`函数处理它们。

```html
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn" %>
<html>
<head>
<title>JSTL fn:escapeXml() example</title>
</head>
<body>
Message1: <b>Hi This is just a message</b>
<br>Message2: <i>This is an example</i>
<br>Message1 and fn:escapeXml(): ${fn:escapeXml("<b>Hi This is just a message</b>")}
<br>Message2 and fn:escapeXml(): ${fn:escapeXml("<i>This is an example</i>")}
</body>
</html>
```

**输出：**

正如您在输入字符串上使用函数时所看到的那样，html 标签不起作用并按原样打印，就像另一个普通字符串一样。

![fn-escapeXml-example](../Images/4a5a5d96ed5aba6b00c86bfac8afe0bc.jpg)