# `fn:join()`和 `fn:split()`JSTL 函数

> 原文： [https://beginnersbook.com/2013/12/fn-join-and-fn-split-jstl-functions/](https://beginnersbook.com/2013/12/fn-join-and-fn-split-jstl-functions/)

在本教程中，我们将看到 JSTL 的 `fn:join()`和 `fn:split()`函数。

### `fn:join()`

它将字符串与给定的分隔符连接起来并返回输出字符串。

#### 语法

```html
String fn:join(String arrayofstrings, String separator)
```

它连接输入数组的所有元素以及它们之间提供的分隔符。此函数的返回类型是`String`，它在连接后返回输出字符串。

#### 示例 - 使用`fn:join()`函数连接字符串

在这个例子中，我们有一个字符串数组，我们使用分隔符（`'&'`）连接它们。

```html
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn" %>
<html>
<head>
<title>JSTL fn:join() example</title>
</head>
<body>
<%
String arr[]={"Chaitanya", "Rahul", "Ajeet"};
session.setAttribute("names", arr);
%>
${fn:join(names, " & ")}
</body>
</html>
```

**输出：**

正如你所看到的那样，所有这三个名字之间都加上了`&`。

![strings-join-example](../Images/f6a3cd25775035ab6fe316c776f4e69f.jpg)

### `fn:split()`

它将给定的字符串拆分为子串数组。拆分过程考虑我们在函数调用期间提供的定界符字符串。即我们提供字符串和分隔符作为函数的参数，并在根据分隔符字符串拆分输入后返回字符串数组。

#### 语法

```html
String[] fn:split(String inputstring, String delimiterstring)
```

#### 示例 - 使用`fn:split()`函数连接字符串

在这个例子中，我们有一个输入字符串，其间的空格字符很少。我们使用`fn:split()`函数将空格分隔为分隔符。该函数返回子字符串的数组。

```html
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn" %>
<html>
<head>
<title>JSTL fn:split() example</title>
</head>
<body>
<c:set var="msg" value="This is an example of JSTL function"/>
<c:set var="arrayofmsg" value="${fn:split(msg,' ')}"/>
<c:forEach var="i" begin="0" end="6">
 arrayofmsg[${i}]: ${arrayofmsg[i]}<br>
</c:forEach>
</body>
</html>
```

**输出：**

![splitting-of-string](../Images/de485b3c2f418883cc37ce09936dfdff.jpg)