# `fn:trim()`和 `fn:startsWith()`JSTL 函数

> 原文： [https://beginnersbook.com/2013/12/fn-trim-and-fn-startswith-jstl-functions/](https://beginnersbook.com/2013/12/fn-trim-and-fn-startswith-jstl-functions/)

在这篇文章中，我们讨论了两个对字符串进行操作的函数。这些函数是`fn:trim()`和`fn:startsWith()`。函数`fn:trim()`从字符串的开头和结尾删除空格，`fn:startsWith()`检查指定的字符串是否是给定字符串的前缀。

#### JSTL `fn:trim()`函数

它从提供的字符串的开头和结尾删除空格字符。

**语法：**

```html
String fn:trim(String input)
```

从`String input`的开头和结尾删除空格后，该函数返回字符串。

#### 例

在这个例子中，我们有一个字符串，它在字符串`"mymsg"`的开头和结尾附加了很少的空格字符，我们正在使用该函数截断这些空格。

```html
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn" %>
<html>
<head>
<title>fn:trim() example in JSTL</title>
</head>
<body>
<c:set var="mymsg" value=" This is the test String       "/>
${fn:trim(mymsg)}
</body>
</html>
```

**输出截图：**

![trim-string-example](../Images/8d646ef89ad19beeee4a4fdf134c0847.jpg)

#### `fn:startsWith()`函数

它检查给定的字符串是否以特定的字符串值开头。

**语法：**

```html
boolean fn:startsWith(String input, String prefix)
```

此函数返回一个布尔值。当字符串以给定前缀开头时它给出`true`，否则返回`false`。

#### 示例

这里我们有一个长字符串和两个子字符串，我们正在检查字符串是否以任何子字符串开头。

```html
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn" %>
<html>
<head>
<title>fn:startsWith example</title>
</head>
<body>
<c:set var="mymsg" value="Example of JSTL function"/>
The string starts with "Example": ${fn:startsWith(mymsg, 'Example')}
<br>The string starts with "JSTL": ${fn:startsWith(mymsg, 'JSTL')}
</body>
</html>
```

**输出：** PFB 上面例子的输出截图。

![check-string-starting-from-given-string](../Images/2ad13556dd4b2862da6645ab1197cb64.jpg)