# Kotlin `break`语句

> 原文： [https://beginnersbook.com/2019/02/kotlin-break/](https://beginnersbook.com/2019/02/kotlin-break/)

`break`语句用于在不评估循环条件的情况下立即终止循环。一旦在循环内遇到`break`语句，循环就立即终止而不执行`break`语句之后的其余语句。在本指南中，我们将了解`break`如何工作，我们还将讨论`break`标签。

## Kotlin `break`示例

`break`语句通常与[`if`表达式](https://beginnersbook.com/2018/09/kotlin-if-else-expression/)一起使用。

```kotlin
fun main(args : Array<String>){

    for(n in 1..10){
        println("before break, Loop: $n")
        if (n==5) {
            println("I am terminating loop")
            break
        }
    }
}
```

**输出：**

![Kotlin break example](img/86c85f4f523d249695e1075eb17c541a.jpg)

正如您可以在输出中观察到，一旦遇到中断，循环就会终止。

## Kotlin 打破了嵌套循环中的示例

当在嵌套循环中使用 break 时，它会在遇到内部循环时终止它。

```kotlin
fun main(args : Array<String>){

    for(ch in 'A'..'C'){
        for (n in 1..4){
            println("$ch and $n")
            if(n==2)
                break
        }
    }
}
```

**输出：**

![Kotlin break nested loop](img/678a39874265fceb5600b2fa4954e903.jpg)

正如您可以在输出中观察到外部循环永远不会终止，但内部循环终止了 3 次。

## Kotlin `break`标签

让我们谈谈标签吧。与[继续标签](https://beginnersbook.com/2019/02/kotlin-continue-expression-with-examples/)类似，`break`标签使我们能够更好地控制在遇到中断时终止哪个循环。

在上面的嵌套循环示例中，内部循环在遇到中断时终止。让我们在标签的帮助下编写一个程序来终止外循环而不是内循环。

```kotlin
fun main(args : Array<String>){

    myloop@ for(ch in 'A'..'C'){
        for (n in 1..4){
            println("$ch and $n")
            if(n==2)
                break @myloop
        }
    }
}
```

**输出：**

```kotlin
A and 1
A and 2
```

标签的语法很简单，我们只需要在循环前面使用我们想要`break`的任何名称后跟`@`，以及在`break`关键字后面附加前缀为`@`的同一名称，如上例所示。