# 在 Windows，Mac，Linux 和 Unix 上安装 Perl

> 原文： [https://beginnersbook.com/2017/02/installing-perl-on-windows-mac-linux-and-unix/](https://beginnersbook.com/2017/02/installing-perl-on-windows-mac-linux-and-unix/)

在大多数情况下，您已经在系统上安装了它，因为多个操作系统已预安装它。要检查系统上是否有它，可以转到命令提示符（mac 中的终端）并输入不带引号的`perl -v`。如果你的系统上有它，那么你应该看到这样的消息：

```perl
This is perl 5, version 18, subversion 2 (v5.18.2) built for darwin-thread-multi-2level
(with 2 registered patches, see perl -V for more detail)

Copyright 1987-2013, Larry Wall

Perl may be copied only under the terms of either the Artistic License or the
GNU General Public License, which may be found in the Perl 5 source kit.

Complete documentation for Perl, including FAQ lists, should be found on
this system using "man perl" or "perldoc perl". If you have access to the
Internet, point your browser at http://www.perl.org/, the Perl Home Page.
```

但是，如果您没有收到此消息，则可以免费安装 perl。步骤如下：

## 在 Windows 上安装 Perl

在 Windows 上安装 Perl 有两种​​方法（更具体地说是两种发行版）。一个是使用 ActivePerl 另一个是 StrawberryPerl，你可以选择其中之一。但是，如果你更关心你应该选择哪一个，你可以参考[这个讨论](https://stackoverflow.com/questions/3365518/should-i-choose-activeperl-or-strawberry-perl-for-windows)：

**安装 Active Perl**：转到此链接： [http://www.activestate.com/activeperl](https://www.activestate.com/activeperl) 并下载安装文件，安装步骤不言自明。

**要安装 Strawberry Perl** ：请访问此链接： [http://strawberryperl.com/](http://strawberryperl.com/) 并根据您的系统下载 32 位或 64 位版本。安装下载的文件。

## 在 Linux / Unix 上安装 Perl

转到此链接： [https://www.perl.org/get.html](https://www.perl.org/get.html) 点击 Linux / Unix 选项卡。您应该看到类似“下载最新的稳定源（5.24.1）”，点击它并下载压缩文件，在撰写本文时，5.24.1 是最新的稳定版本，您可能会发现它不同，不要担心只需下载文件。将它保存在您的主目录中，该目录应该是您当前的工作目录，使用以下 shell 命令安装 perl：

```perl
tar -xzf perl-5.24.1.tar.gz
cd perl-5.24.1
$./Configure -de
$make
$make test
$make install
```

注意：您可能需要根据已下载的源文件更改上述 shell 命令中的版本，例如：如果您已下载版本 5.10.1，那么命令集将是：

```perl
tar -xzf perl-5.10.1.tar.gz
cd perl-5.10.1
./Configure -de
make
make test
make install
```

## 在 Mac OS 上安装 Perl

在 Mac 上安装 perl 与 Linux / Unix 类似，请转到相同的链接 [https://www.perl.org/get.html](https://www.perl.org/get.html) 并单击 Mac OS X 选项卡。下载源文件（单击“下载最新的稳定源”）并在终端中运行以下命令。

首先更改终端中已下载压缩文件的目录。例如如果您已下载文件在 Downloads 目录中，则通过键入以下命令更改目录：

```perl
cd ~/Downloads
```

进入压缩文件的目录后，运行以下命令：

```perl
tar -xzf perl-5.24.1.tar.gz
cd perl-5.24.1
./Configure -de
make
make test
make install
```

请记住根据您下载的版本更改上述命令中的版本。对于例如如果您已经下载了 perl 5.10.1，那么在上面的命令中将 5.24.1 更改为 5.10.1。