# Perl 中的`for`循环

> 原文： [https://beginnersbook.com/2017/02/for-loop-in-perl-with-example/](https://beginnersbook.com/2017/02/for-loop-in-perl-with-example/)

在本教程中，我们将学习如何在 Perl 中使用`for`循环。循环用于重复执行一组语句，直到满足特定条件。

#### `for`循环的语法：

```perl
for(initialization; condition ; increment/decrement)
{
   statement(s);
}
```

### `for`循环的执行流程

当程序执行时，解释器总是跟踪将要执行的语句。我们将其称为控制流程或程序的执行流程。
第一步：在`for`循环中，初始化只发生一次，这意味着`for`循环的初始化部分只执行一次。

第二步：在每次迭代时评估`for`循环的条件，如果条件为真，则循环体内的语句被执行。一旦条件返回`false`，`for`循环中的语句就不会执行，并且控制在`for`循环后被转移到程序中的下一个语句。

第三步：每次执行`for`循环体后，`for`循环的递增/递减部分执行。

第四步：第三步后，控制跳转到第二步，重新评估条件。

#### 例：

```perl
#!/usr/local/bin/perl

for( $num = 100; $num < 105; $num = $num + 1 ){
   print "$num\n";
}
```

**输出：**

```perl
100
101
102
103
104
```