# Perl `while`循环

> 原文： [https://beginnersbook.com/2017/02/while-loop-in-perl-with-example/](https://beginnersbook.com/2017/02/while-loop-in-perl-with-example/)

在上一个教程中，我们在 Perl 中讨论了[`for`循环。在本教程中，我们将讨论`while`循环。如前一个教程中所讨论的，循环用于重复执行一组语句，直到满足特定条件](https://beginnersbook.com/2017/02/for-loop-in-perl-with-example/)。

#### `while`循环的语法：

```perl
while(condition)
{
   statement(s);
}
```

### `while`循环的执行流程

在`while`循环中，首先计算条件，如果它返回`true`，则`while`循环中的语句执行。当`condition`返回`false`时，控制流退出循环并跳转到`while`循环后的下一个语句。

**注意**：使用`while`循环时要注意的重点是我们需要在`while`循环中使用递增或递减语句，以便循环变量在每次迭代时都会发生变化，并且在某些情况下返回`false`。这样我们就可以结束`while`循环的执行，否则循环将无限期地执行。

#### 例

```perl
#!/usr/local/bin/perl

$num = 100;

while( $num > 95 ){
   printf "$num\n";
   $num--;
}
```

**输出：**

```perl
100
99
98
97
96
```