# Perl - `do-while`循环

> 原文： [https://beginnersbook.com/2017/02/perl-do-while-loop-with-example/](https://beginnersbook.com/2017/02/perl-do-while-loop-with-example/)

在上一个教程中，我们讨论了[`while`循环](https://beginnersbook.com/2017/02/while-loop-in-perl-with-example/)。在本教程中，我们将讨论 Perl 中的`do-while`循环。`do-while`循环类似于`while`循环，但是它们之间存在差异：在`while`循环中，在执行循环体之前评估条件，但是在执行循环体之后评估`do-while`循环条件。

#### `do-while`循环的语法：

```perl
do
{
   statement(s);
} while(condition);
```

### 执行循环的流程

首先，循环内的语句执行，然后条件得到评估，如果条件返回`true`，则控制流转移到`do`，否则它会在`do-while`之后跳转到下一个语句。

#### 例

```perl
#!/usr/local/bin/perl

$num = 90;
do{
 $num++;
 printf "$num\n";
}while( $num < 100 );
```

**输出：**

```perl
91
92
93
94
95
96
97
98
99
100
```