# 第一个 Perl 程序

> 原文： [https://beginnersbook.com/2017/02/first-perl-program/](https://beginnersbook.com/2017/02/first-perl-program/)

在本教程中，我们将学习如何编写第一个 perl 程序并在各种操作系统上运行它。

## 第一个 Perl 程序：Hello World

这是一个打印`Hello World`的简单 perl 程序！屏幕上。

```perl
#!/usr/bin/perl
#this is a comment
print "Hello World!!";
```

这里第一条指令`#!/usr/bin/perl`告诉操作系统使用位于`/usr/bin/perl`的解释器运行该程序。

正如我在 perl 介绍中解释的那样 perl 是一种使用普通英语的高级语言，问题是机器不能理解这种高级语言，因此为了使这个程序可以被机器理解，我们必须将它解释为机器语言。解释器是将该程序解释为机器语言的原因。

第二条指令`#this is a comment`是一条注释，无论你在哈希（`#`）之后写的是什么都被认为是注释

第三条指令`print "Hello World!!";`打印`Hello World!!`屏幕上。注意指令末尾的分号（`;`），你必须在每条指令的末尾加一个分号，这告诉解释器指令已经完成。

## 如何运行 perl 程序？

为了运行上面的程序，将代码复制到文本编辑器，如 Windows 的记事本，mac 的 textedit 等，并使用`.pl`扩展名保存文件。假设我们将文件保存为`firstprogram.pl`。您可以使用任何名称保存程序。 Perl 不会强迫您使用特殊类型的名称，您可以随意使用您想要的任何名称。

### 在 Windows 上

要在 Windows 上运行该程序，请打开命令提示符（cmd）并编写以下命令

```perl
perl c:\perl\bin\perl.exe firstprogram.pl
```

**注意：**上面的方法是使用命令提示符运行 perl 程序。或者，如果您使用 Strawberry Perl 或 Active Perl，则只需单击“运行”即可。

### 在 Linux / Unix / Mac OS 上

在 Linux，Unix 或 Mac OS 上运行程序。在终端上运行以下命令。

```perl
chmod +x firstprogram.pl
./firstprogram
```

**如何在脚本中指定 Perl 的版本？**

在某些情况下，我们要指定 Perl 的版本以使我们的脚本正常工作。例如，在 perl 5.10 或更高版本中，您可以使用`say`代替`print`。这是 **Perl 5.10** 中引入的新功能。

```perl
#!/usr/bin/perl
say "Hello World!!";
```

但是，如果您使用的是 5.10 之前的 Perl 版本，则无法使用。要解决此问题，您可以像这样重写上述程序：

```perl
#!/usr/bin/perl
use 5.010;
say "Hello World!!";
```

在**`use`语句的帮助下**我们指定了 Perl 的版本，这个程序只能在 Perl 5.10 或更高版本中使用。

注意：Perl 期望三位数的子版本，这就是我们提到 5.010 的原因，如果你使用 5.10 而不是 Perl 认为提到的版本是 5.100。同样，如果要指定版本 5.11，则在程序中使用 5.011 而不是 5.11。