# 项目的`web.xml`文件中的`welcome-file-list`标签

> 原文： [https://beginnersbook.com/2014/04/welcome-file-list-in-web-xml/](https://beginnersbook.com/2014/04/welcome-file-list-in-web-xml/)

你有没见过`web.xml`文件中的`<welcome-file-list>`标签并想知道它是什么？在本文中，我将解释这个标签是什么以及我们使用它的原因。

标签`<welcome-file-list>`如果在浏览器上加载项目时未指定文件名，则用于指定默认情况下需要由服务器调用的文件。

对于例如您已经创建了一个名为`MyServletProject`的项目，并且您在项目中定义了很少的 html 页面和 servlet 类。但是在浏览器中你给出了这样的 url：

```java
http://localhost:8080/MyServletProject
```

通常我们给出完整的路径：`http://localhost:8080/MyServletProject/index.html`。但是，如果您已经给出了上述路径，那么网络服务器将查找`<welcome-file-list>`标签在项目的`web.xml`文件中。假设您的`web.xml`文件中包含以下内容：

```java
<web-app>
....
<welcome-file-list>
   <welcome-file>myhome.htm</welcome-file>
   <welcome-file>myindex.htm</welcome-file>
   <welcome-file>mydefaultpage.htm</welcome-file>
</welcome-file-list>
....
</web-app>
```

根据欢迎文件列表，服务器将查找`myhome.htm`页面，如果这不存在，则查找第二个欢迎文件`myindex.html`，依此类推，直到找到有效的欢迎文件。

**注意**：如果`<welcome-file-list>`标签未在`web.xml`中定义，或者在`<welcome-file-list>`中定义的欢迎文件中定义标签不存在然后服务器将按给定的顺序查找以下文件：

1）`index.html`

2）`index.htm`

3）`index.jsp`

我希望我涵盖了与此标签相关的所有内容。如果您有任何疑问，请随时在下面发表评论。